<?php if ($mod==""){
	header('location:../../404.php');
}else{
?>
<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" lang="en"> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" lang="en"> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" lang="en"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--><html lang="en"> <!--<![endif]-->

<head>
	<!-- Your Basic Site Informations -->
	<title><?php include "title.php"; ?></title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
    <meta name="robots" content="index, follow">
    <meta name="description" content="<?php include "meta-desc.php"; ?>">
    <meta name="keywords" content="<?php include "meta-key.php"; ?>">
    <meta http-equiv="Copyright" content="popojicms">
    <meta name="author" content="Dwira Survivor">
    <meta http-equiv="imagetoolbar" content="no">
    <meta name="language" content="Indonesia">
    <meta name="revisit-after" content="7">
    <meta name="webcrawlers" content="all">
    <meta name="rating" content="general">
    <meta name="spiders" content="all">
    <!-- Mobile Specific Meta -->
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    
    <!-- Stylesheets -->
    <link rel="stylesheet" href="po-content/<?php echo $folder; ?>/css/bootstrap.min.css">
    <link rel="stylesheet" href="po-content/<?php echo $folder; ?>/css/bootstrap-responsive.min.css">
    <link rel="stylesheet" href="po-content/<?php echo $folder; ?>/css/flexslider.css">
    <link rel="stylesheet" href="po-content/<?php echo $folder; ?>/css/prettyPhoto.css">
    <link rel="stylesheet" href="po-content/<?php echo $folder; ?>/css/style.css">
    <link href='http://fonts.googleapis.com/css?family=Oswald' rel='stylesheet' type='text/css'>
    <link href='http://fonts.googleapis.com/css?family=Bitter' rel='stylesheet' type='text/css'>
    <link href='http://fonts.googleapis.com/css?family=Open+Sans' rel='stylesheet' type='text/css'>
    
    <noscript><link rel="stylesheet" href="css/no-js.css"></noscript> <!-- If JavaScript Disabled -->
    
    <!--[if lt IE 9]>
		<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
    
    <!-- Favicons -->
	<link rel="icon" href="<?php echo $favicon; ?>" />
    
    <!-- JavaScript -->
    <script type="text/javascript" src="po-content/<?php echo $folder; ?>/js/jquery-1.8.3.min.js"></script>
    <script type='text/javascript' src='po-content/<?php echo $folder; ?>/js/bootstrap.min.js'></script>
    <script type='text/javascript' src='po-content/<?php echo $folder; ?>/js/jquery.easing.js'></script>
    <script type='text/javascript' src='po-content/<?php echo $folder; ?>/js/jquery.flexslider-min.js'></script>
    <script type='text/javascript' src='po-content/<?php echo $folder; ?>/js/jflickrfeed.min.js'></script>
    <script type='text/javascript' src='po-content/<?php echo $folder; ?>/js/jquery.fitvids.min.js'></script>
    <script type='text/javascript' src='po-content/<?php echo $folder; ?>/js/jquery.lazyload.mini.js'></script>
    <script type='text/javascript' src='po-content/<?php echo $folder; ?>/js/jquery.prettyPhoto.js'></script>
    <script type='text/javascript' src='po-content/<?php echo $folder; ?>/js/jquery.placeholder.min.js'></script>
    <script type='text/javascript' src='po-content/<?php echo $folder; ?>/js/jquery.jticker.js'></script>
    <script type='text/javascript' src='po-content/<?php echo $folder; ?>/js/jquery.mobilemenu.js'></script>
    <script type='text/javascript' src='po-content/<?php echo $folder; ?>/js/jquery.isotope.min.js'></script>
    <script type='text/javascript' src='po-content/<?php echo $folder; ?>/js/jquery.hoverdir.js'></script>
    <script type='text/javascript' src='po-content/<?php echo $folder; ?>/js/modernizr.custom.js'></script>
	<script type="text/javascript" src="po-content/<?php echo $folder; ?>/js/jquery.pajinate.js"></script>
    <script type="text/javascript" src="po-content/<?php echo $folder; ?>/js/main.js"></script>

	<script>
	var RecaptchaOptions = {
		theme : 'clean'
	};
	</script>
</head>

<body>
	<div id="top-navigation">
		<?php
		$action = $_GET['mod'];
		$activehome = ($action == 'home') ? 'active' : '';
		$activepages = ($action == 'pages') ? 'active' : '';
		$activegallery = ($action == 'gallery') ? 'active' : '';
		$activecontact = ($action == 'contact') ? 'active' : '';
		?>
		<?php 
			if ($lang=="en"){
			$urllang = "http://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
			$urllang = preg_replace("/(lang-en\.html$)/","",$urllang);
		?>
		<div class="container">
			<!-- Navigation -->
			<ul class="nav-menu pull-left">
				<li class="<?php echo $activehome; ?>"><a href="lang-en.html">Home</a></li>
				<li class="<?php echo $activepages; ?>"><a href="pages-1-about-us-lang-en.html">About Us</a></li>
				<li class="<?php echo $activegallery; ?>"><a href="gallery-lang-en.html">Gallery</a></li>
				<li class="<?php echo $activecontact; ?>"><a href="contact-lang-en.html">Contact</a></li>
				<li class="active"><a href="<?php echo $urllang."lang-en.html"; ?>">English</a></li>
				<li><a href="<?php echo $urllang."lang-id.html"; ?>">Indonesian</a></li>
			</ul>
			<!-- Search Form -->
			<form name="form-search" method="post" action="search-result-lang-en.html" class="form-search pull-right">
				<input type="text" name="search" placeholder="Search...." class="input-icon input-icon-search" />
			</form>
			<!-- Social Media -->
			<ul class="social pull-right">
				<li><a href="#" data-placement="bottom" data-original-title="Find us on LinkedIn"><img src="po-content/<?php echo $folder; ?>/images/social/infocus/linkedin-logo.png" alt="LinkedIn"></a></li>
				<li><a href="#" data-placement="bottom" data-original-title="Find us on Flickr"><img src="po-content/<?php echo $folder; ?>/images/social/infocus/flickr.png" alt="Flickr"></a></li>
				<li><a href="#" data-placement="bottom" data-original-title="Like us on Facebook"><img src="po-content/<?php echo $folder; ?>/images/social/infocus/facebook-logo.png" alt="Facebook"></a></li>
				<li><a href="#" data-placement="bottom" data-original-title="Follow on DeviantArt"><img src="po-content/<?php echo $folder; ?>/images/social/infocus/deviantart.png" alt="DeviantArt"></a></li>
				<li><a href="#" data-placement="bottom" data-original-title="Follow on Twitter"><img src="po-content/<?php echo $folder; ?>/images/social/infocus/twitter.png" alt="Twitter"></a></li>
				<li><a href="#" data-placement="bottom" data-original-title="Follow on Stumbleupon"><img src="po-content/<?php echo $folder; ?>/images/social/infocus/stumbleupon.png" alt="Stumbleupon"></a></li>
				<li><a href="#" data-placement="bottom" data-original-title="Call us via Skype"><img src="po-content/<?php echo $folder; ?>/images/social/infocus/skype.png" alt="Skype"></a></li>
			</ul>
		</div> <!-- End Container -->
		<?php 
			}else{
			$urllang = "http://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
			$urllang = preg_replace("/(lang-id\.html$)/","",$urllang);
		?>
		<div class="container">
			<!-- Navigation -->
			<ul class="nav-menu pull-left">
				<li class="<?php echo $activehome; ?>"><a href="lang-id.html">Beranda</a></li>
				<li class="<?php echo $activepages; ?>"><a href="pages-1-about-us-lang-id.html">Tentang Kami</a></li>
				<li class="<?php echo $activegallery; ?>"><a href="gallery-lang-id.html">Galeri</a></li>
				<li class="<?php echo $activecontact; ?>"><a href="contact-lang-id.html">Kontak</a></li>
				<li><a href="<?php echo $urllang."lang-en.html"; ?>">Inggris</a></li>
				<li class="active"><a href="<?php echo $urllang."lang-id.html"; ?>">Indonesia</a></li>
			</ul>
			<!-- Search Form -->
			<form name="form-search" method="post" action="search-result-lang-id.html" class="form-search pull-right">
				<input type="text" name="search" placeholder="Search...." class="input-icon input-icon-search" />
			</form>
			<!-- Social Media -->
			<ul class="social pull-right">
				<li><a href="#" data-placement="bottom" data-original-title="Find us on LinkedIn"><img src="po-content/<?php echo $folder; ?>/images/social/infocus/linkedin-logo.png" alt="LinkedIn"></a></li>
				<li><a href="#" data-placement="bottom" data-original-title="Find us on Flickr"><img src="po-content/<?php echo $folder; ?>/images/social/infocus/flickr.png" alt="Flickr"></a></li>
				<li><a href="#" data-placement="bottom" data-original-title="Like us on Facebook"><img src="po-content/<?php echo $folder; ?>/images/social/infocus/facebook-logo.png" alt="Facebook"></a></li>
				<li><a href="#" data-placement="bottom" data-original-title="Follow on DeviantArt"><img src="po-content/<?php echo $folder; ?>/images/social/infocus/deviantart.png" alt="DeviantArt"></a></li>
				<li><a href="#" data-placement="bottom" data-original-title="Follow on Twitter"><img src="po-content/<?php echo $folder; ?>/images/social/infocus/twitter.png" alt="Twitter"></a></li>
				<li><a href="#" data-placement="bottom" data-original-title="Follow on Stumbleupon"><img src="po-content/<?php echo $folder; ?>/images/social/infocus/stumbleupon.png" alt="Stumbleupon"></a></li>
				<li><a href="#" data-placement="bottom" data-original-title="Call us via Skype"><img src="po-content/<?php echo $folder; ?>/images/social/infocus/skype.png" alt="Skype"></a></li>
			</ul>
		</div> <!-- End Container -->
		<?php } ?>
	</div> <!-- End Top-Navigation -->
	<div class="container">
		<header id="header" class="clearfix">
			<!-- Logo -->
			<div class="logo pull-left">
				<a href="#"><img src="po-content/<?php echo $folder; ?>/images/logo.png" alt="Enews" /></a>
			</div> 
			<!-- Ads -->
			<?php
				$tablebann = new PoTable('banner');
				$banns = $tablebann->findAllLimitByRand(size, '480', '1');
				foreach($banns as $bann){
			?>
			<div class="ads pull-right">
				<a href="<?php echo $bann->url; ?>" target="_blank"><img src="po-content/po-upload/banner/<?php echo $bann->picture; ?>" alt="<?php echo $bann->title; ?>" /></a>
			</div>
			<?php
				}
			?>
		</header> <!-- End Header -->
		<?php if($lang=="en"){ ?>
			<nav id="main-navigation" class="clearfix margin-bottom40">
				<?php 
					$instance = new PoController;
					$menu = $instance->popoji_menu(2);
				?>
				<?php echo $menu; ?>
			</nav>
			<?php }else{ ?>
			<nav id="main-navigation" class="clearfix margin-bottom40">
				<?php 
					$instance = new PoController;
					$menu = $instance->popoji_menu(1);
				?>
				<?php echo $menu; ?>
			</nav><!-- End Main-Navigation -->
		<?php } ?>
<?php } ?>