<?php if ($mod==""){
	header('location:../../404.php');
}else{
?>
<!-- 
*******************************************************
	Include Header Template
******************************************************* 
-->
<?php include_once "po-content/$folder/header.php"; ?>

<!-- 
*******************************************************
	Include Function Home Template
******************************************************* 
-->
<?php include_once "po-content/$folder/function.php"; ?>

<!-- 
*******************************************************
	Main Content Template
******************************************************* 
-->
<div class="row-fluid">
<div id="main" class="span8 image-preloader">
    <div id="home-slider" class="home-slider3">
     <div class="flexslider home-slider3-gallery">
      <ul class="slides">
		<?php
			$tableslider = new PoTable('post');
			$sliders = $tableslider->findAllLimitBy(id_post, active, 'Y', DESC, '5');
			foreach($sliders as $slider){
				if ($lang=="en"){
					$contents = $slider->content_en;
					$titles = $slider->title_en;
					$seotitles = $slider->seotitle_en;
					$contents = html_entity_decode($contents);
					$contents = strip_tags($contents);
					$contents = substr($contents,0,100);
					$contents = substr($contents,0,strrpos($contents," "));
					$tgls = $slider->date;
					$tanggals = substr($tgls,8,2);
					$bulans = getBulanEn(substr($tgls,5,2));
					$tahuns = substr($tgls,0,4);
				}else{
					$contents = $slider->content_id;
					$titles = $slider->title_id;
					$seotitles = $slider->seotitle_id;
					$contents = html_entity_decode($contents);
					$contents = strip_tags($contents);
					$contents = substr($contents,0,100);
					$contents = substr($contents,0,strrpos($contents," "));
					$tgls = $slider->date;
					$tanggals = substr($tgls,8,2);
					$bulans = getBulanId(substr($tgls,5,2));
					$tahuns = substr($tgls,0,4);
				}
		?>
		<li>
			<img src="po-content/po-upload/<?php echo $slider->picture; ?>" alt="<?php echo $titles; ?>" />
			<div class="content">
				<div class="header">
					<span class="date">
						<span class="day"><?php echo $tanggals; ?></span>
						<span class="date-details">
							<span class="year"><?php echo $tahuns; ?></span>
							<span class="month"><?php echo $bulans; ?></span>
						</span>
					</span>
					<h3><a href="<?php echo "detailpost-$slider->id_post-$seotitles-lang-$lang.html"; ?>"><?php echo $titles; ?></a></h3>
				</div>
			<p><?php echo $contents; ?> [...]</p>
			</div>
		</li>
		<?php } ?>
      </ul>
     </div> <!-- End Home-Slider-Gallery -->
     
    <div class="flexslider loading home-slider3-carousel">
		<ul class="slides">
		<?php
			$tableslider2 = new PoTable('post');
			$sliders2 = $tableslider2->findAllLimitBy(id_post, active, 'Y', DESC, '5');
			foreach($sliders2 as $slider2){
			if ($lang=="en"){ $titles2 = $slider2->title_en; }else{ $titles2 = $slider2->title_id; }
		?>
			<li><img src="po-content/po-upload/medium-<?php echo $slider2->picture; ?>" alt="<?php echo $titles2 ?>" title="<?php echo $titles2; ?>" /></li>
		<?php } ?>
		</ul>
     </div> <!-- End Home-Slider-Carousel -->
    </div> <!-- End Home-Slider3 -->


	<div class="row-fluid">
		<!-- One -->
		<?php if ($lang=='en'){ $contenthome = contenthome('1', 'en'); }else{ $contenthome = contenthome('1', 'id'); } ?>
		<div class="span6 post no-margin-left">
			<figure>
				<img src="po-content/po-upload/medium-<?php echo $contenthome[picture]; ?>" alt="<?php echo $contenthome[title]; ?>" />
				<div class="cat-name">
					<span class="base"><?php echo $contenthome[tcat]; ?></span>
					<span class="arrow"></span>
				</div>
			</figure>
			<div class="text">
				<h2><a href="<?php echo "detailpost-$contenthome[id]-$contenthome[seotitle]-lang-$lang.html"; ?>" title="<?php echo $contenthome[title]; ?>"><?php echo $contenthome[title]; ?></a></h2>
				<p><?php echo $contenthome[content]; ?></p>
				<div class="meta"><?php echo "$contenthome[by] $contenthome[editor]"; ?>&nbsp;&nbsp;|&nbsp;&nbsp;<?php echo $contenthome[bulan]; ?> <?php echo $contenthome[tanggal]; ?>, <?php echo $contenthome[tahun]; ?>&nbsp;&nbsp;|&nbsp;&nbsp;
					<?php
						$tablec1 = new PoTable('comment');
						$total1 = $tablec1->numRowBy(id_post, $contenthome[id]);
					?>
					<a href="<?php echo "detailpost-$contenthome[id]-$contenthome[seotitle]-lang-$lang.html"; ?>"><?php echo "$total1 $contenthome[comment]"; ?></a>
				</div>
			</div>
		</div>
		<!-- Two -->
		<?php if ($lang=='en'){ $contenthome2 = contenthome('3', 'en'); }else{ $contenthome2 = contenthome('3', 'id'); } ?>
		<div class="span6 post">
			<figure>
				<img src="po-content/po-upload/medium-<?php echo $contenthome2[picture]; ?>" alt="<?php echo $contenthome[title]; ?>" />
				<div class="cat-name">
					<span class="base"><?php echo $contenthome2[tcat]; ?></span>
					<span class="arrow"></span>
				</div>
			</figure>
			<div class="text">
				<h2><a href="<?php echo "detailpost-$contenthome2[id]-$contenthome2[seotitle]-lang-$lang.html"; ?>" title="<?php echo $contenthome2[title]; ?>"><?php echo $contenthome2[title]; ?></a></h2>
				<p><?php echo $contenthome2[content]; ?></p>
				<div class="meta"><?php echo "$contenthome2[by] $contenthome2[editor]"; ?>&nbsp;&nbsp;|&nbsp;&nbsp;<?php echo $contenthome2[bulan]; ?> <?php echo $contenthome2[tanggal]; ?>, <?php echo $contenthome2[tahun]; ?>&nbsp;&nbsp;|&nbsp;&nbsp;
					<?php
						$tablec2 = new PoTable('comment');
						$total2 = $tablec2->numRowBy(id_post, $contenthome2[id]);
					?>
					<a href="<?php echo "detailpost-$contenthome2[id]-$contenthome2[seotitle]-lang-$lang.html"; ?>"><?php echo "$total2 $contenthome2[comment]"; ?></a>
				</div>
			</div>
		</div>
		<div class="clearfix ie-sep"></div> <!-- Clearfix -->
		<!-- Three -->
		<?php if ($lang=='en'){ $contenthome3 = contenthome('7', 'en'); }else{ $contenthome3 = contenthome('7', 'id'); } ?>
		<div class="span6 post no-margin-left">
			<figure>
				<img src="po-content/po-upload/medium-<?php echo $contenthome3[picture]; ?>" alt="<?php echo $contenthome3[title]; ?>" />
				<div class="cat-name">
					<span class="base"><?php echo $contenthome3[tcat]; ?></span>
					<span class="arrow"></span>
				</div>
			</figure>
			<div class="text">
				<h2><a href="<?php echo "detailpost-$contenthome3[id]-$contenthome3[seotitle]-lang-$lang.html"; ?>" title="<?php echo $contenthome3[title]; ?>"><?php echo $contenthome3[title]; ?></a></h2>
				<p><?php echo $contenthome3[content]; ?></p>
				<div class="meta"><?php echo "$contenthome3[by] $contenthome3[editor]"; ?>&nbsp;&nbsp;|&nbsp;&nbsp;<?php echo $contenthome3[bulan]; ?> <?php echo $contenthome3[tanggal]; ?>, <?php echo $contenthome3[tahun]; ?>&nbsp;&nbsp;|&nbsp;&nbsp;
					<?php
						$tablec3 = new PoTable('comment');
						$total3 = $tablec3->numRowBy(id_post, $contenthome3[id]);
					?>
					<a href="<?php echo "detailpost-$contenthome3[id]-$contenthome3[seotitle]-lang-$lang.html"; ?>"><?php echo "$total3 $contenthome3[comment]"; ?></a>
				</div>
			</div>
		</div>
		<!-- Four -->
		<?php if ($lang=='en'){ $contenthome4 = contenthome('5', 'en'); }else{ $contenthome4 = contenthome('5', 'id'); } ?>
		<div class="span6 post">
			<figure>
				<img src="po-content/po-upload/medium-<?php echo $contenthome4[picture]; ?>" alt="<?php echo $contenthome4[title]; ?>" />
				<div class="cat-name">
					<span class="base"><?php echo $contenthome4[tcat]; ?></span>
					<span class="arrow"></span>
				</div>
			</figure>
			<div class="text">
				<h2><a href="<?php echo "detailpost-$contenthome4[id]-$contenthome4[seotitle]-lang-$lang.html"; ?>" title="<?php echo $contenthome4[title]; ?>"><?php echo $contenthome4[title]; ?></a></h2>
				<p><?php echo $contenthome4[content]; ?></p>
				<div class="meta"><?php echo "$contenthome4[by] $contenthome4[editor]"; ?>&nbsp;&nbsp;|&nbsp;&nbsp;<?php echo $contenthome4[bulan]; ?> <?php echo $contenthome4[tanggal]; ?>, <?php echo $contenthome4[tahun]; ?>&nbsp;&nbsp;|&nbsp;&nbsp;
					<?php
						$tablec4 = new PoTable('comment');
						$total4 = $tablec4->numRowBy(id_post, $contenthome4[id]);
					?>
					<a href="<?php echo "detailpost-$contenthome4[id]-$contenthome4[seotitle]-lang-$lang.html"; ?>"><?php echo "$total4 $contenthome4[comment]"; ?></a>
				</div>
			</div>
		</div>
	<div class="clearfix ie-sep"></div> <!-- Clearfix -->


	<!-- Gallery Posts -->
	<div class="home-galleries no-margin-left">
		<!-- Header -->
		<div class="header">
			<div class="base">
			<?php if ($lang=='en'){ echo "<h4>Galleries</h4>"; }else{ echo "<h4>Galeri</h4>"; } ?>
				<div class="nav-control">
					<span class="previous"></span><span class="next"></span>
				</div>
			</div>
			<div class="arrow arrow-left"></div>
			<div class="arrow arrow-right"></div>
		</div>
		<?php
			$tablegallery = new PoTable('gallery');
			$gallerys = $tablegallery->findAllLimit(id_gallery, DESC, '4');
			foreach($gallerys as $gallery){
				$idalb = $gallery->id_album;
				$tablecalb = new PoTable('album');
				$currentCalb = $tablecalb->findBy(id_album, $idalb);
				$currentCalb = $currentCalb->current();
				if ($currentCalb->active == 'Y'){
		?>
				<div class="item">
					<figure class="figure-overlay figure-overlay-icon">
						<a href="po-content/po-upload/<?php echo $gallery->picture; ?>" data-rel="prettyPhoto[sliderGallery]">
							<img src="po-content/po-upload/medium-<?php echo $gallery->picture; ?>" alt="<?php echo $gallery->title_en; ?>" />
							<div><p class="icon-plus"></p></div>
						</a>
					</figure>
				</div>
		<?php
				}
			} 
		?>
    </div> <!-- End Galleries -->
	<div class="clearfix ie-sep"><p>&nbsp;</p><p>&nbsp;</p><p>&nbsp;</p></div> <!-- Clearfix -->


    </div> <!-- End Row-Fluid -->
</div> <!-- End Main -->

<!-- 
*******************************************************
	Sidebar Content Template
******************************************************* 
-->

<div id="sidebar" class="span4">
    <div class="widget clearfix">
		<ul class="social-subscribers">
			<li>
				<a href="#" data-original-title="Share us on Facebook"><img src="po-content/<?php echo $folder; ?>/images/social/somacro/facebook.png" alt="Facebook" /></a>
				<p>
					<?php if ($sharefb==''){ echo "0"; }else{ echo $sharefb; } ?>
				<i>shares</i></p>
			</li>
			<li>
				<a href="#" data-original-title="Share us on Twitter"><img src="po-content/<?php echo $folder; ?>/images/social/somacro/twitter.png" alt="Twitter" /></a>
				<p>
					<?php 
						if ($sharetw==''){ echo "0"; }else{ echo $sharetw; }
					?>
				<i>shares</i></p>
			</li>
			<li>
				<a href="#" data-original-title="Subscribe our RSS Feed"><img src="po-content/<?php echo $folder; ?>/images/social/somacro/rss.png" alt="RSS" /></a>
				<?php
					$tablesubs = new PoTable('subscribe');
					$totalsubs = $tablesubs->numRow();
				?>
				<?php if ($lang=="en"){ ?>
					<p><?php echo $totalsubs; ?><i>subscribers</i></p>
				<?php }else{ ?>
					<p><?php echo $totalsubs; ?><i>langganan</i></p>
				<?php } ?>
			</li>
		</ul>
	</div> <!-- End Widget -->
   
    <div class="widget clearfix">
		<div class="enews-tab">
			<!-- Tab Menu -->
			<ul class="nav nav-tabs" id="enewsTabs">
			<?php if ($lang=="en"){ ?>
				<li class="active"><a href="#tab-populars" data-toggle="tab">Populars</a></li>
				<li><a href="#tab-recents" data-toggle="tab">Recents</a></li>
				<li><a href="#tab-comments" data-toggle="tab">Comments</a></li>
			<?php }else{ ?>
				<li class="active"><a href="#tab-populars" data-toggle="tab">Populer</a></li>
				<li><a href="#tab-recents" data-toggle="tab">Terkini</a></li>
				<li><a href="#tab-comments" data-toggle="tab">Komentar</a></li>
			<?php } ?>
			</ul>
		<div class="tab-content">
			<div class="tab-pane active" id="tab-populars">
			<?php
				$tablepop = new PoTable('post');
				$pops = $tablepop->findAllLimitBy(hits, active, 'Y', DESC, '5');
				foreach($pops as $pop){
				if ($lang=="en"){
					$tablepopc = new PoTable('comment');
					$totalpop = $tablepopc->numRowByAnd(id_post, $pop->id_post, active, 'Y');
					$titlepop = $pop->title_en;
					$seotitlepop = $pop->seotitle_en;
					$tglpop = $pop->date;
					$tanggalpop = substr($tglpop,8,2);
					$bulanpop = getBulanEn(substr($tglpop,5,2));
					$tahunpop = substr($tglpop,0,4);
					$comments = "comments";
				}else{
					$tablepopc = new PoTable('comment');
					$totalpop = $tablepopc->numRowByAnd(id_post, $pop->id_post, active, 'Y');
					$titlepop = $pop->title_id;
					$seotitlepop = $pop->seotitle_id;
					$tglpop = $pop->date;
					$tanggalpop = substr($tglpop,8,2);
					$bulanpop = getBulanId(substr($tglpop,5,2));
					$tahunpop = substr($tglpop,0,4);
					$comments = "komentar";
				}
			?>
			<div class="item">
				<figure class="pull-left"><img src="po-content/po-upload/medium-<?php echo $pop->picture; ?>" alt="<?php echo $titlepop; ?>" /></figure>
				<div class="pull-right content">
					<h4><a href="<?php echo "detailpost-$pop->id_post-$seotitlepop-lang-$lang.html"; ?>" title="<?php echo $titlepop; ?>"><?php echo $titlepop; ?></a></h4>
					<p class="meta"><?php echo $pop->hits; ?> views&nbsp;&nbsp;|&nbsp;&nbsp;<?php echo "$totalpop $comments"; ?></p>
				</div>
			</div>
			<?php } ?>
			</div> <!-- End Populars -->

			<div class="tab-pane" id="tab-recents">
			<?php
				$tablerec = new PoTable('post');
				$recs = $tablerec->findAllLimitBy(id_post, active, 'Y', DESC, '5');
				foreach($recs as $rec){
				if ($lang=="en"){
					$validrec = $rec->id_category;
					$tablecatrec = new PoTable('category');
					$currentCatrec = $tablecatrec->findBy(id_category, $validrec);
					$currentCatrec = $currentCatrec->current();
					$titlerec = $rec->title_en;
					$seotitlerec = $rec->seotitle_en;
					$tglrec = $rec->date;
					$tanggalrec = substr($tglrec,8,2);
					$bulanrec = getBulanEn(substr($tglrec,5,2));
					$tahunrec = substr($tglrec,0,4);
					$catrec = $currentCatrec->seotitle_en;
					$titlecat = $currentCatrec->title_en;
					$inrec = "In";
					$onrec = "on";
				}else{
					$validrec = $rec->id_category;
					$tablecatrec = new PoTable('category');
					$currentCatrec = $tablecatrec->findBy(id_category, $validrec);
					$currentCatrec = $currentCatrec->current();
					$titlerec = $rec->title_id;
					$seotitlerec = $rec->seotitle_id;
					$tglrec = $rec->date;
					$tanggalrec = substr($tglrec,8,2);
					$bulanrec = getBulanId(substr($tglrec,5,2));
					$tahunrec = substr($tglrec,0,4);
					$catrec = $currentCatrec->seotitle_id;
					$titlecat = $currentCatrec->title_id;
					$inrec = "Di";
					$onrec = "pada";
				}
			?>
			<div class="item">
				<figure class="pull-left"><img src="po-content/po-upload/medium-<?php echo $rec->picture; ?>" alt="<?php echo $titlerec; ?>" /></figure>
				<div class="pull-right content">
					<h4><a href="<?php echo "detailpost-$rec->id_post-$seotitlerec-lang-$lang.html"; ?>" title="<?php echo $titlerec; ?>"><?php echo $titlerec; ?></a></h4>
					<p class="meta"><?php echo $inrec; ?> <a href="<?php echo "category-$currentCatrec->id_category-$catrec-lang-$lang.html"; ?>"><?php echo $titlecat; ?></a> <?php echo "$onrec $bulanrec"; ?> <?php echo $tanggalrec; ?>, <?php echo $tahunrec; ?></p>
				</div>
			</div>
			<?php } ?>
			</div> <!-- End Recents -->
      
			<div class="tab-pane" id="tab-comments">
			<?php
				$tablecom = new PoTable('comment');
				$coms = $tablecom->findAllLimitBy(id_comment, active, 'Y', DESC, '5');
				foreach($coms as $com){
				if ($lang=="en"){
					$validcom = $com->id_post;
					$tablecompo = new PoTable('post');
					$currentCompo = $tablecompo->findBy(id_post, $validcom);
					$currentCompo = $currentCompo->current();
					$concom = html_entity_decode($concom);
					$concom = strip_tags($com->comment);
					$concom = substr($concom,0,80);
					$concom = substr($concom,0,strrpos($concom," "));
					$urlcom = addhttp($com->url);
					$titlecom = $currentCompo->title_en;
					$seotitlecom = $currentCompo->seotitle_en;
					$tglcom = $currentCompo->date;
					$tanggalcom = substr($tglcom,8,2);
					$bulancom = getBulanEn(substr($tgls,5,2));
					$tahuncom = substr($tgls,0,4);
					$oncom = "on";
				}else{
					$validcom = $com->id_post;
					$tablecompo = new PoTable('post');
					$currentCompo = $tablecompo->findBy(id_post, $validcom);
					$currentCompo = $currentCompo->current();
					$concom = html_entity_decode($concom);
					$concom = strip_tags($com->comment);
					$concom = substr($concom,0,80);
					$concom = substr($concom,0,strrpos($concom," "));
					$urlcom = addhttp($com->url);
					$titlecom = $currentCompo->title_id;
					$seotitlecom = $currentCompo->seotitle_id;
					$tglcom = $currentCompo->date;
					$tanggalcom = substr($tglcom,8,2);
					$bulancom = getBulanId(substr($tgls,5,2));
					$tahuncom = substr($tgls,0,4);
					$oncom = "di";
				}
			?>
			<div class="item">
				<div class="pull-right content">
					<p><a href="<?php echo $urlcom; ?>"><?php echo $com->name; ?></a> <?php echo $oncom; ?> <a href="<?php echo "detailpost-$currentCompo->id_post-$seotitlecom-lang-$lang.html"; ?>" title="<?php echo $titlecom; ?>"><?php echo $titlecom; ?></a></p>
					<p><?php echo $concom; ?></p>
				</div>
			</div>
			<?php } ?>
			</div> <!-- End Comments -->
		</div> <!-- End Tab-Content -->

		</div> <!-- End Enews-Tab --> 
    </div> <!-- End Widget -->
   
    <div class="widget clearfix">
		<div class="sponsors"> 
			<div class="header">
			<?php if ($lang=='en'){ echo "<h4>Sponsors</h4>"; }else{ echo "<h4>Sponsor</h4>"; } ?>
			</div>
			<div class="content">
			<?php
				$tableban = new PoTable('banner');
				$bans = $tableban->findAllLimitByRand(size, '180', '4');
				foreach($bans as $ban){
			?>
				<a href="<?php echo $ban->url; ?>" target="_blank"><img src="po-content/po-upload/banner/<?php echo $ban->picture; ?>" alt="<?php echo $ban->title; ?>" /></a>
			<?php } ?>
			</div>
		</div>
	</div> <!-- End Widget -->
   
    <div class="widget clearfix">
		<div class="subscribe-form">
		<?php if($lang=="en"){ ?>
			<div class="header">
				<h4>Subscribe Us</h4>
			</div>
			<div class="content">
				<p>You can stay up-to-date with our latest news with subscribe our newsletter.</p>
				<form name="subscribe-form" id="enews-subscribe-form" method="post" action="#">
					<input type="text" name="email_address" placeholder="ex: your_email@domain.com" />
					<input type="submit" name="submit" value="Send" />
				</form>
			</div>
		<?php }else{ ?>
			<div class="header">
				<h4>Berlangganan</h4>
			</div>
			<div class="content">
				<p>Anda bisa mendapatkan berita-berita terbaru setiap ada update dari kami melalui email.</p>
				<form name="subscribe-form" id="enews-subscribe-form" method="post" action="#">
					<input type="text" name="email_address" placeholder="con: email_kamu@domain.com" />
					<input type="submit" name="submit" value="Kirim" />
				</form>
			</div>
		<?php } ?>
		</div>
	</div> <!-- End Widget -->
  
</div> <!-- End Sidebar -->
<p>&nbsp;</p><p>&nbsp;</p><p>&nbsp;</p>
</div> <!-- End Row-Fluid -->

<!-- 
*******************************************************
	Include Footer Template
******************************************************* 
-->
<?php include_once "po-content/$folder/footer.php"; ?>
<?php } ?>