-- phpMyAdmin SQL Dump
-- version 3.5.1
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Jan 24, 2014 at 03:44 AM
-- Server version: 5.5.24-log
-- PHP Version: 5.4.3

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `popojicms`
--

-- --------------------------------------------------------

--
-- Table structure for table `album`
--

CREATE TABLE IF NOT EXISTS `album` (
  `id_album` int(10) NOT NULL AUTO_INCREMENT,
  `title_id` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `title_en` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `seotitle_id` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `seotitle_en` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `active` enum('Y','N') CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL DEFAULT 'Y',
  PRIMARY KEY (`id_album`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

--
-- Dumping data for table `album`
--

INSERT INTO `album` (`id_album`, `title_id`, `title_en`, `seotitle_id`, `seotitle_en`, `active`) VALUES
(1, 'Alam', 'Nature', 'alam', 'nature', 'Y'),
(2, 'Photography', 'Photography', 'photography', 'photography', 'Y'),
(3, 'Anime', 'Anime', 'anime', 'anime', 'Y');

-- --------------------------------------------------------

--
-- Table structure for table `banner`
--

CREATE TABLE IF NOT EXISTS `banner` (
  `id_banner` int(10) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) COLLATE latin1_general_ci NOT NULL,
  `url` varchar(100) COLLATE latin1_general_ci NOT NULL,
  `picture` varchar(100) COLLATE latin1_general_ci NOT NULL,
  `date` date NOT NULL,
  `size` enum('480','180') COLLATE latin1_general_ci NOT NULL DEFAULT '180',
  PRIMARY KEY (`id_banner`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=6 ;

--
-- Dumping data for table `banner`
--

INSERT INTO `banner` (`id_banner`, `title`, `url`, `picture`, `date`, `size`) VALUES
(1, 'Banner 480x80', 'http://www.facebook.com/dwira.survivor', 'ban-banner-480x80-535095-pobanner.jpg', '2013-06-02', '480'),
(2, 'Banner 180x180', 'http://www.facebook.com/dwira.survivor', 'ban-banner-180x180-592193-pobanner.jpg', '2013-06-02', '180'),
(3, 'Banner 180x180', 'http://www.facebook.com/dwira.survivor', 'ban-banner-180x180-847717-pobanner.jpg', '2013-06-02', '180'),
(4, 'Banner 180x180', 'http://www.facebook.com/dwira.survivor', 'ban-banner-180x180-996673-pobanner.jpg', '2013-06-02', '180'),
(5, 'Banner 180x180', 'http://www.facebook.com/dwira.survivor', 'ban-banner-180x180-231719-pobanner.jpg', '2013-06-02', '180');

-- --------------------------------------------------------

--
-- Table structure for table `category`
--

CREATE TABLE IF NOT EXISTS `category` (
  `id_category` int(5) NOT NULL AUTO_INCREMENT,
  `title_id` varchar(50) COLLATE latin1_general_ci NOT NULL,
  `title_en` varchar(50) COLLATE latin1_general_ci NOT NULL,
  `seotitle_id` varchar(100) COLLATE latin1_general_ci NOT NULL,
  `seotitle_en` varchar(100) COLLATE latin1_general_ci NOT NULL,
  `active` enum('Y','N') COLLATE latin1_general_ci NOT NULL DEFAULT 'Y',
  PRIMARY KEY (`id_category`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=10 ;

--
-- Dumping data for table `category`
--

INSERT INTO `category` (`id_category`, `title_id`, `title_en`, `seotitle_id`, `seotitle_en`, `active`) VALUES
(1, 'PopojiCMS', 'PopojiCMS', 'popojicms', 'popojicms', 'Y'),
(2, 'CMS Indonesia', 'Indonesian CMS', 'cms-indonesia', 'indonesian-cms', 'Y'),
(3, 'Bisnis', 'Business', 'bisnis', 'business', 'Y'),
(4, 'Teknologi', 'Technology', 'teknologi', 'technology', 'Y'),
(5, 'Edukasi', 'Education', 'edukasi', 'education', 'Y'),
(6, 'Entertainment', 'Entertainment', 'entertainment', 'entertainment', 'Y'),
(7, 'Internet', 'Internet', 'internet', 'internet', 'Y'),
(8, 'Gadget', 'Gadget', 'gadget', 'gadget', 'Y'),
(9, 'Olahraga', 'Sport', 'olahraga', 'sport', 'Y');

-- --------------------------------------------------------

--
-- Table structure for table `comment`
--

CREATE TABLE IF NOT EXISTS `comment` (
  `id_comment` int(10) NOT NULL AUTO_INCREMENT,
  `id_post` int(10) NOT NULL,
  `name` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `email` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `url` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `comment` text CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `date` date NOT NULL,
  `time` varchar(50) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `active` enum('Y','N') CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL DEFAULT 'N',
  PRIMARY KEY (`id_comment`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

--
-- Dumping data for table `comment`
--

INSERT INTO `comment` (`id_comment`, `id_post`, `name`, `email`, `url`, `comment`, `date`, `time`, `active`) VALUES
(1, 1, 'Dwira Survivor', 'djenuar@gmail.com', 'http://www.facebook.com/dwira.survivor', 'Maju terus untuk PopojiCMS, dan semoga updatenya selalu lancar :D', '2013-06-02', '11:27:28', 'Y'),
(2, 16, 'Dwira Survivor', 'djenuar@yahoo.co.id', 'http://milestone.co.id', ' Wow...harus  lebih  waspada  lagi,  media  social  memang  bagus  tetapi  harus  pintar  juga  menggunakannya   ', '2013-06-07', '11:52:12', 'Y'),
(3, 16, 'Chingsy', 'chingsy@gmail.com', 'http://milestone.co.id', ' Bahaya  juga  ni  malware,  jadi  takut  akh  pake  facebook  kalo  untuk  urusan  duit   ', '2013-06-07', '11:54:29', 'Y');

-- --------------------------------------------------------

--
-- Table structure for table `component`
--

CREATE TABLE IF NOT EXISTS `component` (
  `id_component` int(10) NOT NULL AUTO_INCREMENT,
  `component` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `date` date NOT NULL,
  `table_name` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`id_component`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `component`
--

INSERT INTO `component` (`id_component`, `component`, `date`, `table_name`) VALUES
(1, 'po-contact', '2013-05-31', 'contact'),
(2, 'po-gallery', '2013-05-31', 'gallery'),
(3, 'po-comment', '2013-06-02', 'comment'),
(4, 'po-banner', '2013-06-02', 'banner');

-- --------------------------------------------------------

--
-- Table structure for table `contact`
--

CREATE TABLE IF NOT EXISTS `contact` (
  `id_contact` int(10) NOT NULL AUTO_INCREMENT,
  `name_contact` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `email_contact` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `subjek_contact` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `message_contact` text CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`id_contact`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `gallery`
--

CREATE TABLE IF NOT EXISTS `gallery` (
  `id_gallery` int(10) NOT NULL AUTO_INCREMENT,
  `id_album` int(10) NOT NULL,
  `title_id` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `title_en` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `picture` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`id_gallery`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=16 ;

--
-- Dumping data for table `gallery`
--

INSERT INTO `gallery` (`id_gallery`, `id_album`, `title_id`, `title_en`, `picture`) VALUES
(1, 1, 'Danau Sejuk', 'Cool Lake', 'alam-827880-pogallery.jpg'),
(2, 1, 'Sungai Mengalir', 'Flowing River', 'alam-740753-pogallery.jpg'),
(3, 1, 'Jalan Hutan', 'Forest Road', 'alam-478210-pogallery.jpg'),
(4, 1, 'Pedesaan', 'Rural', 'alam-407928-pogallery.jpg'),
(5, 1, 'Hutan', 'Forest', 'alam-356567-pogallery.jpg'),
(6, 2, 'Menara Eiffel Menakjubkan', 'Amazing Eiffel Tower Paris', 'amazing-eiffel-tower-paris-163818-pogallery.jpg'),
(7, 2, 'Liburan Agustus', 'August Holidays', 'august-holidays-357940-pogallery.jpg'),
(8, 2, 'Dock Waters', 'Dock Waters', 'dock-waters-751647-pogallery.jpg'),
(9, 2, 'Empire State City', 'Empire State City', 'empire-state-city-212615-pogallery.jpg'),
(10, 2, 'Patung Liberty New York', 'New Yorks Statue of Liberty', 'new-yorks-statue-of-liberty-67504-pogallery.jpg'),
(11, 3, 'Avatar Eng', 'Avatar Eng', 'avatar-eng-672271-pogallery.jpg'),
(12, 3, 'Uzumaki Naruto', 'Uzumaki Naruto', 'uzumaki-naruto-413940-pogallery.jpg'),
(13, 3, 'Gadis Anime', 'Anime Girl', 'gadis-anime-58746-pogallery.jpg'),
(14, 3, 'Gadis Anime 2', 'Anime Girl 2', 'gadis-anime-2-826965-pogallery.jpg'),
(15, 3, 'Gadis Anime 3', 'Anime Girl 3', 'gadis-anime-3-359710-pogallery.jpg');

-- --------------------------------------------------------

--
-- Table structure for table `media`
--

CREATE TABLE IF NOT EXISTS `media` (
  `id_media` int(10) NOT NULL AUTO_INCREMENT,
  `file_name` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `file_type` varchar(50) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `file_size` varchar(50) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `date` date NOT NULL,
  PRIMARY KEY (`id_media`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=34 ;

--
-- Dumping data for table `media`
--

INSERT INTO `media` (`id_media`, `file_name`, `file_type`, `file_size`, `date`) VALUES
(1, 'tentang-kami-944213-popoji.jpg', 'image/jpeg', '33723', '2013-05-26'),
(2, 'logo-popoji-241088-popoji.psd', 'application/octet-stream', '274544', '2013-05-26'),
(3, 'popojicms-630462-popoji.jpg', 'image/jpeg', '54087', '2013-05-29'),
(4, 'alam-827880-pogallery.jpg', 'image/jpeg', '172419', '2013-05-31'),
(5, 'alam-740753-pogallery.jpg', 'image/jpeg', '251338', '2013-05-31'),
(6, 'alam-478210-pogallery.jpg', 'image/jpeg', '180520', '2013-05-31'),
(7, 'alam-407928-pogallery.jpg', 'image/jpeg', '152378', '2013-05-31'),
(8, 'alam-356567-pogallery.jpg', 'image/jpeg', '239917', '2013-05-31'),
(9, 'lima-pelabuhan-di-indonesia-terancam-lumpuh-460906-popoji.jpg', 'image/jpeg', '73654', '2013-06-03'),
(10, 'pada-2017-asia-dibanjiri-orang-kaya-526306-popoji.jpg', 'image/jpeg', '707903', '2013-06-03'),
(11, 'mengapa-koneksi-internet-di-indonesia-cenderung-lambat-937225-popoji.jpg', 'image/jpeg', '245851', '2013-06-03'),
(12, 'kelebihan-kamera-smartphone-dibandingkan-slr--531616-popoji.jpg', 'image/jpeg', '111905', '2013-06-03'),
(13, 'pelajar-indonesia-raih-penghargaan-putri-diana-515319-popoji.jpg', 'image/jpeg', '111445', '2013-06-03'),
(14, 'masyarakat-tak-terbiasa-berpikir-rasional-746673-popoji.jpg', 'image/jpeg', '210512', '2013-06-03'),
(15, 'fast--furious-6-kembalinya-jagoanjagoan-jalanan-76263-popoji.jpg', 'image/jpeg', '85303', '2013-06-03'),
(16, 'lorenzo-ungkap-kunci-sukses-hattrick-di-mugello-342285-popoji.jpg', 'image/jpeg', '158672', '2013-06-03'),
(17, 'jose-mourinho-kritik-etika-di-sepakbola-modern-690612-popoji.jpg', 'image/jpeg', '78681', '2013-06-03'),
(18, 'sun--cloud-kamera-digital-yang-bisa-menciptakan-listrik-sendiri-435821-popoji.jpg', 'image/jpeg', '55782', '2013-06-03'),
(19, 'bagaimana-cara-menggunakan-media-sosial-untuk-membangun-personal-brand-anda-365661-popoji.jpg', 'image/jpeg', '96431', '2013-06-03'),
(20, 'ahmad-dhani-jodohkan-el-dengan-deanda-putri-408813-popoji.jpeg', 'image/jpeg', '51712', '2013-06-03'),
(21, 'apbi-prediksi-harga-batu-bara-belum-stabil-223236-popoji.jpg', 'image/jpeg', '103649', '2013-06-03'),
(22, 'robinho-bungkam-soal-rumor-santos-765106-popoji.jpg', 'image/jpeg', '95239', '2013-06-03'),
(23, 'amazing-eiffel-tower-paris-163818-pogallery.jpg', 'image/jpeg', '267218', '2013-06-03'),
(24, 'august-holidays-357940-pogallery.jpg', 'image/jpeg', '115886', '2013-06-03'),
(25, 'dock-waters-751647-pogallery.jpg', 'image/jpeg', '267473', '2013-06-03'),
(26, 'empire-state-city-212615-pogallery.jpg', 'image/jpeg', '309289', '2013-06-03'),
(27, 'new-yorks-statue-of-liberty-67504-pogallery.jpg', 'image/jpeg', '189799', '2013-06-03'),
(28, 'avatar-eng-672271-pogallery.jpg', 'image/jpeg', '298870', '2013-06-03'),
(29, 'uzumaki-naruto-413940-pogallery.jpg', 'image/jpeg', '420643', '2013-06-03'),
(30, 'gadis-anime-58746-pogallery.jpg', 'image/jpeg', '497242', '2013-06-03'),
(31, 'gadis-anime-2-826965-pogallery.jpg', 'image/jpeg', '264806', '2013-06-03'),
(32, 'gadis-anime-3-359710-pogallery.jpg', 'image/jpeg', '476995', '2013-06-03'),
(33, 'zeus-malware-pencuri-akun-bank-lewat-facebook-724517-popoji.jpg', 'image/jpeg', '106129', '2013-06-07');

-- --------------------------------------------------------

--
-- Table structure for table `menu`
--

CREATE TABLE IF NOT EXISTS `menu` (
  `id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `url` varchar(255) NOT NULL DEFAULT '',
  `class` varchar(255) NOT NULL DEFAULT '',
  `position` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `group_id` tinyint(3) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=17 ;

--
-- Dumping data for table `menu`
--

INSERT INTO `menu` (`id`, `parent_id`, `title`, `url`, `class`, `position`, `group_id`) VALUES
(1, 0, 'PopojiCMS', 'category-1-popojicms-lang-id.html', '', 1, 1),
(2, 0, 'Bisnis', 'category-3-bisnis-lang-id.html', '', 2, 1),
(3, 0, 'Teknologi', '#', '', 3, 1),
(4, 3, 'Internet', 'category-7-internet-lang-id.html', '', 1, 1),
(5, 3, 'Gadget', 'category-8-gadget-lang-id.html', '', 2, 1),
(6, 0, 'Edukasi', 'category-5-edukasi-lang-id.html', '', 4, 1),
(7, 0, 'Entertainment', 'category-6-entertainment-lang-id.html', '', 5, 1),
(8, 0, 'Olahraga', 'category-9-olahraga-lang-id.html', '', 6, 1),
(9, 0, 'PopojiCMS', 'category-1-popojicms-lang-en.html', '', 1, 2),
(10, 0, 'Business', 'category-3-bussiness-lang-en.html', '', 2, 2),
(11, 0, 'Technology', '#', '', 3, 2),
(12, 11, 'Internet', 'category-7-internet-lang-en.html', '', 1, 2),
(13, 11, 'Gadget', 'category-8-gadget-lang-en.html', '', 2, 2),
(14, 0, 'Education', 'category-5-education-lang-en.html', '', 4, 2),
(15, 0, 'Entertainment', 'category-6-entertainment-lang-en.html', '', 5, 2),
(16, 0, 'Sport', 'category-9-sport-lang-en.html', '', 6, 2);

-- --------------------------------------------------------

--
-- Table structure for table `menu_group`
--

CREATE TABLE IF NOT EXISTS `menu_group` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `menu_group`
--

INSERT INTO `menu_group` (`id`, `title`) VALUES
(1, 'Main Menu Id'),
(2, 'Main Menu En');

-- --------------------------------------------------------

--
-- Table structure for table `oauth`
--

CREATE TABLE IF NOT EXISTS `oauth` (
  `id_oauth` int(10) NOT NULL AUTO_INCREMENT,
  `oauth_type` varchar(10) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `oauth_key` text CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `oauth_secret` text CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `oauth_id` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `oauth_user` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `oauth_token1` text CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `oauth_token2` text CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `oauth_fbtype` varchar(10) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`id_oauth`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `oauth`
--

INSERT INTO `oauth` (`id_oauth`, `oauth_type`, `oauth_key`, `oauth_secret`, `oauth_id`, `oauth_user`, `oauth_token1`, `oauth_token2`, `oauth_fbtype`) VALUES
(1, 'facebook', '', '', '', '', '', '', ''),
(2, 'twitter', '', '', '', '', '', '', '');

-- --------------------------------------------------------

--
-- Table structure for table `pages`
--

CREATE TABLE IF NOT EXISTS `pages` (
  `id_pages` int(10) NOT NULL AUTO_INCREMENT,
  `title_id` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `title_en` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `content_id` text CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `content_en` text CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `seotitle_id` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `seotitle_en` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `picture` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `active` enum('Y','N') CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL DEFAULT 'Y',
  PRIMARY KEY (`id_pages`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `pages`
--

INSERT INTO `pages` (`id_pages`, `title_id`, `title_en`, `content_id`, `content_en`, `seotitle_id`, `seotitle_en`, `picture`, `active`) VALUES
(1, 'Tentang Kami', 'About Us', '&lt;p style=&quot;text-align: justify;&quot;&gt;PopojiCMS adalah Content Management System yang dibuat dengan konsep yang sangat menarik dan mudah untuk digunakan. PopojiCMS dibuat dengan tampilan responsive menggunakan bootstarp, selain itu juga dilengkapi dengan banyak plugin jQuery, sehingga akan terasa seperti menggunakan aplikasi desktop.&lt;/p&gt;&lt;p style=&quot;text-align: justify;&quot;&gt;PopojiCMS hanya menggunakan sebagian OOP PHP saja yaitu untuk pemprosesan data ke database. Ini bertujuan agar web developer pemula dapat dengan leluasa berkreasi mengembangkan website. Semoga PopojiCMS dapat menjawab semua kebutuhan Anda tentang web.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;Terima kasih,&lt;/p&gt;&lt;p&gt;&lt;b&gt;Jenuar Dwi Putra Dalapang a.k.a Dwira Survivor&lt;/b&gt;&lt;/p&gt;\r\n', '&lt;p style=&quot;text-align: justify;&quot;&gt;PopojiCMS is a Content Management System that is made with a very interesting concept and easy to use. PopojiCMS made its appearance using bootstarp responsive, but it also comes with many jQuery plugin, so it will feel like using a desktop application.&lt;/p&gt;&lt;p style=&quot;text-align: justify;&quot;&gt;PopojiCMS just use it half OOP PHP for processing the data to the database. It aims for novice web developers can freely create develop websites. Hopefully PopojiCMS can answer all your needs on the web.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;Thank You,&lt;/p&gt;&lt;p&gt;&lt;b&gt;Jenuar Dwi Putra Dalapang a.k.a Dwira Survivor&lt;/b&gt;&lt;/p&gt;\r\n', 'tentang-kami', 'about-us', 'tentang-kami-944213-popoji.jpg', 'Y'),
(2, 'Layanan', 'Services', '&lt;p&gt;&lt;b&gt;PopojiCMS&lt;/b&gt; telah diuji coba dan diterapkan dibeberapa website besar, itu memastikan kehandalannya tidak bisa diragukan lagi. Dengan fitur yang banyak, dukungan komunitas yang luas dan tentunya keamanan web yang handal siap Anda dapatkan.\r\n&lt;/p&gt;\r\n&lt;p&gt;Dengan dilengkapi oleh jQuery dan bootstrap, &lt;b&gt;PopojiCMS&lt;/b&gt; tampil lebih hidup menghadirkan fitur yang tidak terbayangkan sebelumnya.\r\n&lt;/p&gt;\r\n&lt;p&gt;&lt;/p&gt;&lt;p&gt;&lt;/p&gt;&lt;blockquote style=&quot;margin-left:50px;&quot;&gt;&lt;p&gt;PopojiCMS dibuat dengan tampilan responsive sehingga bisa dibuka pada ukuran layar manapun dan kapanpun.&lt;br&gt;PopojiCMS didesain dengan tampilan modern yang cantik sehingga menarik pengguna web untuk selalu berkunjung.&lt;br&gt;PopojiCMS dibuat dengan konsep setengah OOP sehingga orang awampun bisa mengcustom dengan mudah rasa webnya.&lt;/p&gt;&lt;/blockquote&gt;&lt;p&gt;&lt;/p&gt;&lt;p&gt;&lt;/p&gt;\r\n', '&lt;p&gt;&lt;b&gt;PopojiCMS&lt;/b&gt; telah diuji coba dan diterapkan dibeberapa website besar, itu memastikan kehandalannya tidak bisa diragukan lagi. Dengan fitur yang banyak, dukungan komunitas yang luas dan tentunya keamanan web yang handal siap Anda dapatkan.\r\n&lt;/p&gt;\r\n&lt;p&gt;Dengan dilengkapi oleh jQuery dan bootstrap, &lt;b&gt;PopojiCMS&lt;/b&gt; tampil lebih hidup menghadirkan fitur yang tidak terbayangkan sebelumnya.\r\n&lt;/p&gt;\r\n&lt;p&gt;&lt;/p&gt;&lt;p&gt;&lt;/p&gt;&lt;blockquote style=&quot;margin-left:50px;&quot;&gt;&lt;p&gt;PopojiCMS dibuat dengan tampilan responsive sehingga bisa dibuka pada ukuran layar manapun dan kapanpun.&lt;br&gt;PopojiCMS didesain dengan tampilan modern yang cantik sehingga menarik pengguna web untuk selalu berkunjung.&lt;br&gt;PopojiCMS dibuat dengan konsep setengah OOP sehingga orang awampun bisa mengcustom dengan mudah rasa webnya.&lt;/p&gt;&lt;/blockquote&gt;&lt;p&gt;&lt;/p&gt;&lt;p&gt;&lt;/p&gt;\r\n', 'layanan', 'services', 'tentang-kami-944213-popoji.jpg', 'Y');

-- --------------------------------------------------------

--
-- Table structure for table `post`
--

CREATE TABLE IF NOT EXISTS `post` (
  `id_post` int(10) NOT NULL AUTO_INCREMENT,
  `id_category` varchar(10) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `title_id` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `title_en` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `content_id` text CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `content_en` text CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `seotitle_id` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `seotitle_en` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `tag` varchar(200) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `date` date NOT NULL,
  `editor` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL DEFAULT '1',
  `active` enum('Y','N') CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL DEFAULT 'Y',
  `picture` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `hits` int(10) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id_post`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=18 ;

--
-- Dumping data for table `post`
--

INSERT INTO `post` (`id_post`, `id_category`, `title_id`, `title_en`, `content_id`, `content_en`, `seotitle_id`, `seotitle_en`, `tag`, `date`, `editor`, `active`, `picture`, `hits`) VALUES
(1, '1', 'PopojiCMS', 'PopojiCMS', '&lt;p style=&quot;text-align: justify;&quot;&gt;PopojiCMS adalah Content Management System yang dibuat dengan konsep yang sangat menarik dan mudah untuk digunakan. PopojiCMS dibuat dengan tampilan responsive menggunakan bootstarp, selain itu juga dilengkapi dengan banyak plugin jQuery, sehingga akan terasa seperti menggunakan aplikasi desktop.&lt;/p&gt;&lt;p style=&quot;text-align: justify;&quot;&gt;PopojiCMS hanya menggunakan sebagai OOP PHP saja yaitu untuk pemprosesan data ke database. Ini bertujuan agar web developer pemula dapat dengan leluasa berkreasi mengembangkan website. Semoga PopojiCMS dapat menjawab semua kebutuhan Anda tentang web.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;Terima kasih,&lt;/p&gt;&lt;p&gt;&lt;b&gt;Jenuar Dwi Putra Dalapang a.k.a Dwira Survivor&lt;/b&gt;&lt;/p&gt;', '&lt;p style=&quot;text-align: justify;&quot;&gt;PopojiCMS is a Content Management System that is made with a very interesting concept and easy to use. PopojiCMS made its appearance using bootstarp responsive, but it also comes with many jQuery plugin, so it will feel like using a desktop application.&lt;/p&gt;&lt;p style=&quot;text-align: justify;&quot;&gt;PopojiCMS just use it as OOP PHP for processing the data to the database. It aims for novice web developers can freely create develop websites. Hopefully PopojiCMS can answer all your needs on the web.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;Thank You,&lt;/p&gt;&lt;p&gt;&lt;b&gt;Jenuar Dwi Putra Dalapang a.k.a Dwira Survivor&lt;/b&gt;&lt;/p&gt;', 'popojicms', 'popojicms', 'cms-indonesia,dwira-survivor,cms,popoji,popojicms', '2013-05-29', '1', 'Y', 'popojicms-630462-popoji.jpg', 51),
(2, '3', 'Lima Pelabuhan di Indonesia Terancam Lumpuh', 'Five Ports in Indonesia Threatened Paralyzed', 'Aktivitas di beberapa pelabuhan di Indonesia berpotensi lumpuh. Sejak pekan lalu, sejumlah asosiasi yang selama ini menjalankan bisnisnya di pelabuhan menyatakan bakal mogok massal Senin ini.&lt;br&gt;&lt;br&gt;Beberapa pengusaha yang bakal menghentikan kegiatan bisnisnya antara lain Asosiasi Perusahaan Bongkar Muat Indonesia (APBMI), Asosiasi Pengusaha Angkutan Khusus Pelabuhan (Angsuspel), serta Asosiasi Logistik dan Forwarding Indonesia (ALFI).&lt;br&gt;&lt;br&gt;Ketua Angsuspel Tanjung Priok, Gemilang Tarigan, menyatakan mulai pukul 06.00 WIB hari ini, anggota Angsuspel di sedikitnya lima pelabuhan seperti Jakarta, Semarang, Cirebon, Lampung, dan Dumai, bakal tidak beroperasi hingga waktu yang belum ditentukan. Di Tanjung Priok saja, Angsuspel membawahi sekitar 18.000 unit truk.&lt;br&gt;&lt;br&gt;Wakil Ketua ALFI, Mahendra Rianto, bilang, bisnis logistik dan forwarding otomatis akan berhenti operasi apabila tidak ada aktivitas bongkar muat di pelabuhan. &quot;Kami mendukung aksi ini. Sampai sekarang (tadi malam), keputusan stop operasi belum berubah,&quot; ungkap dia kepada KONTAN.&lt;br&gt;&lt;br&gt;Tuntutan para pengusaha mengerucut ke satu isu: menuntut Badan Usaha Milik Negara (BUMN) di bidang pelabuhan, yakni Pelindo I hingga Pelindo IV, tidak memonopoli usaha jasa pelabuhan. &quot;Pelindo sebaiknya fokus pada pelayanan operator pelabuhan, jangan ikut-ikutan berbisnis, khususnya di bidang angkutan pelabuhan,&quot; ujar Gemilang.&lt;br&gt;&lt;br&gt;Namun, manajemen Pelindo menyangkal akan ada aksi mogok. RJ Lino, Direktur Utama Pelindo II, menjamin, kalau ada pengusaha bongkar muat mogok, Pelindo akan mengambil alih kegiatan itu. &quot;Aktivitas bongkar muat tidak boleh terganggu,&quot; ungkapnya. Pelindo juga menyiapkan lapangan untuk menampung kontainer yang tak terangkut.&lt;br&gt;&lt;br&gt;Terlepas dari jadi tidaknya aksi mogok ini, kisruh pengelolaan jasa pelabuhan berefek ke bisnis lain, seperti tekstil, elektronik, dan komponen otomotif. Ketua Gabungan Pengusaha Elektronik Ali Soebroto bilang, aksi mogok akan menghambat ekspor elektronik. Produsen terpaksa menjadwal ulang pengiriman barang. &quot;Soal potensi kerugiannya tergantung lama tidaknya mogok,&quot; ungkap dia.&lt;br&gt;&lt;br&gt;Achmad Ridwan Tento, Sekretaris Jenderal Gabungan Importir Nasional Seluruh Indonesia (GINSI) memilih menunggu sampai suasana kondusif untuk menurunkan barang. Namun, keputusan ini berisiko. Sebab, lantaran proses bongkar muat melebihi batas waktu, importir harus menanggung biaya demurrage senilai US$ 75 per kontainer. Imbasnya, biaya impor barang ikut naik, harga jual juga terkerek. &quot;Itu sudah pasti,&quot; tandas Achmad.&lt;br&gt;&lt;br&gt;Aksi mogok ini juga merepotkan PT Astra Honda Motor (AHM). Tiap hari, AHM mengirim 5.000 unit-6.000 unit motor ke luar Jawa, seperti Kalimantan, Sulawesi, Papua, dan Sumatera bagian Utara dan mendatangkan 3.500 unit- 5.000 unit motor utuh dari negara lain. &quot;Distribusi keluar Pulau Jawa dan masuknya motor CBU akan terhambat,&quot; ujar Thomas Wijaya, Deputy Sales Division AHM. (Sandy Baskoro, Adinda Ade Mustami, Adisti Dini Indreswari, Merlinda Riska, Cindy Silviana Sukma)\r\n', '&lt;p&gt;Activity in several ports in Indonesia potentially paralyzed. Since last week, a number of associations that have been doing business at the port of mass states would strike this Monday.&lt;br&gt;&lt;br&gt;Some employers will terminate its business activities include the Association of Indonesian Stevedoring Company (APBMI), Special Transport Ports Association (Angsuspel), as well as Logistics and Forwarding Association of Indonesia (ALFI).&lt;br&gt;&lt;br&gt;Angsuspel Chairman of Tanjung Priok, Tarin Gemilang, proclaim from 06.00 pm today, members Angsuspel at least five ports such as Jakarta, Semarang, Cirebon, Lampung, and Dumai, will not operate until an undetermined time. Course in Tanjung Priok, Angsuspel oversees about 18,000 trucks.&lt;br&gt;&lt;br&gt;Vice Chairman of ALFI, Mahendra Rianto, say, automatic forwarding and logistics business will cease operations if there is no activity at the port of loading and unloading. &quot;We support this action. Till now (last night), the decision to stop the operation has not changed,&quot; he told KONTAN.&lt;br&gt;&lt;br&gt;Demands of employers decreased to one issue: demand-Owned Enterprises (SOEs) in the field of ports, namely IPC IPC I to IV, do not monopolize the port services business. &quot;IPC should focus on serving the port operator, do not do business bandwagon, especially in the field of port transportation,&quot; said Bright.&lt;br&gt;&lt;br&gt;However, IPC management denies there will be a strike. RJ Lino, Managing Director of IPC II, guarantees, if any employer stevedoring strike, IPC will take over these activities. &quot;Unloading activities should not be disturbed,&quot; he said. IPC also preparing the field to accommodate a container that is transported.&lt;br&gt;&lt;br&gt;So regardless of whether or not this strike, chaotic port management services to other business effects, such as textiles, electronics, and automotive components. Electronics Association chairman Ali Subroto said the strike would hamper exports of electronics. Manufacturers were forced to reschedule delivery. &quot;The issue of the potential loss depends on whether or not a long strike,&quot; he said.&lt;br&gt;&lt;br&gt;Achmad Ridwan Tento, Secretary General of the Indonesian National Importers (Importer) choose to wait until the atmosphere is conducive to unload. However, this decision was risky. Therefore, because the process of loading and unloading beyond the time limit, the importer must bear the cost of demurrage of U.S. $ 75 per container. Impact, the cost of imported goods goes up, the price also terkerek. &quot;That&#039;s for sure,&quot; said Ahmad.&lt;br&gt;&lt;br&gt;The strike is also troublesome PT Astra Honda Motor (AHM). Each day, AHM sent 5,000 units to 6,000 units of motorcycles outside Java, such as Kalimantan, Sulawesi, Papua, and North Sumatra and bring 3,500 units 5,000 units intact motors from other countries. &quot;Distribution of exit and entry of Java CBU motorcycles will be hampered,&quot; said Thomas Wijaya, Deputy Sales Division AHM. (Sandy Baskoro, Adina Ade Mustami, Adisti Early Indreswari, Merlinda Riska, Cindy Silviana Sukma)&lt;br&gt;&lt;/p&gt;\r\n', 'lima-pelabuhan-di-indonesia-terancam-lumpuh', 'five-ports-in-indonesia-threatened-paralyzed', 'bisnis,kontan,pelabuhan-indonesia', '2013-06-03', '1', 'Y', 'lima-pelabuhan-di-indonesia-terancam-lumpuh-460906-popoji.jpg', 14),
(3, '3', 'Pada 2017, Asia Dibanjiri Orang Kaya', 'At 2017, Asia Is Overrun Rich', '&lt;p&gt;Selama ini, hampir separuh kekayaan dunia dikuasai miliarder dari Amerika Serikat. Namun ke depan, bukan lagi konglomeratÃ‚  AS yang mengasai kekayaan dunia, namun konglomerat asal negara-negara di Asia, khususnya China.&lt;br&gt;&lt;br&gt;Berdasarkan laporan global dari Boston Consulting Group yang dikutip pada Minggu (2/6/2013), saat ini Amerika Utara masih memegang gelar sebagai kawasan yang menguasai kekayaan dunia, dengan total kekayaan 43,3 triliun dollar AS, sedangkan Asia Pasifik hanya 15,3 triliun dollar AS.&lt;br&gt;&lt;br&gt;Namun dari perkembangan yang ada, kekayaan orang-orang yang ada di Amerika Utara diperkirakan hanya akan naik sekitar10 persen menjadi 48 triliun dollar AS pada 2017.&lt;br&gt;&lt;br&gt;Lembaga konsultan itu menyatakan jika dunia barat terus bergantung pada aset yang ada untuk meningkatkan kekayaannya, maka tidak akan lama lagi China akan menyalip dan memimpin dunia dengan jumlah kekayaan tertinggi di dunia, tepatnya pada 2017.&lt;br&gt;&lt;br&gt;Sejauh ini, orang kaya masih terkonsentrasi di Amerika Serikat, dengan jumlah mencapai 5,87 juta orang. Sementara itu, Jepang berada di urutan kedua dengan jumlah jutawan mencapai 1,46 juta orang, dan China di urutan ketiga dengan 1,3 juta orang.&lt;br&gt;&lt;br&gt;Amerika Serikat juga masih menjadi &#039;sarang&#039; masyarakat yang memiliki kekayaan di atas 100 juta dollar AS ( sekitarRp 1 triliun), yakni sebanyak 3.016 orang. Tempat kedua dipegang Inggris dengan 1.001 orang dan Cina dengan 851 orang.&lt;br&gt;&lt;br&gt;Di sisi lain, kenaikan kekayaan masyarakat dunia pada umumnya dinilai lebih baik dibanding kekayaan para miliarder tersebut. Sepanjang 2012, kekayaan masyarakat biasa naik rata-rata 7,8 persen, sedangkan untuk tahun 2010 dan 2011 masing-masing meningkat 7,3 persen dan 3,6 persen.&lt;br&gt;&lt;br&gt;Sementara itu, kekayaan miliarder dunia, yang berjumlah 1.426 orang, hanya meningkat rata-rata 2,7 persen sepanjang 2012 lalu, dari 3,7 miliar dollar AS menjadi 3,8 miliar dollar AS. Namun secara total, jumlah kekayaan miliarder dunia tersebut mencapai 5,4 triliun dollar AS, naik dari tahun sebelumnya 4,6 triliun dollar AS.&lt;br&gt;&lt;br&gt;&quot;Hal ini menunjukkan meskipun kekayaan miliarder meningkat, tapi kenaikan rata-rata kekayaannya tidak lebih tinggi dibanding masyarakat biasa pada umumnya,&quot; tulis laporan tersebut. &lt;br&gt;&lt;/p&gt;\r\n', '&lt;p&gt;During this time, nearly half the world&#039;s wealth controlled by billionaire from the United States. But in the future, no longer a U.S. conglomerate that chalenge the world&#039;s wealth, but the conglomerate from countries in Asia, especially China.&lt;br&gt;&lt;br&gt;Based on the global report from Boston Consulting Group was quoted on Sunday (06/02/2013), currently North America still holds the title as the region that controls the world&#039;s wealth, with total assets of 43.3 billion U.S. dollars, while only 15.3 Asia Pacific trillion U.S. dollars.&lt;br&gt;&lt;br&gt;However, from the existing development, the wealth of people who exist in North America is expected to grow around 10 percent to 48 trillion dollars in 2017.&lt;br&gt;&lt;br&gt;The consultancy said that if the western world continue to rely on existing assets to increase his wealth, then it will not be long before China will overtake and lead the world with the highest amount of wealth in the world, precisely in 2017.&lt;br&gt;&lt;br&gt;So far, the rich are still concentrated in the U.S., the number reached 5.87 million people. Meanwhile, Japan was second with the number of millionaires to reach 1.46 million people, and China in third place with 1.3 million people.&lt;br&gt;&lt;br&gt;The United States also remains a &#039;hive&#039; society that has a wealth of over 100 million U.S. dollars (sekitarRp 1 trillion), ie as many as 3,016 people. Second place with 1,001 people held English and Chinese with 851 people.&lt;br&gt;&lt;br&gt;On the other hand, the increase in wealth of the world community in general considered better than the wealth of billionaires. Throughout 2012, the wealth of ordinary people rise an average of 7.8 percent, while for 2010 and 2011 respectively rose 7.3 percent and 3.6 percent.&lt;br&gt;&lt;br&gt;Meanwhile, billionaire wealth of the world, which amounts to 1,426 people, an average increase of only 2.7 percent during 2012, from 3.7 billion dollars to 3.8 billion dollars. But in total, the amount of wealth the world&#039;s billionaires reached 5.4 trillion U.S. dollars, up from the previous year 4.6 trillion U.S. dollars.&lt;br&gt;&lt;br&gt;&quot;This shows even though the billionaire wealth increased, but the increase in the average wealth is not higher than normal society at large,&quot; the report said.&lt;br&gt;&lt;/p&gt;\r\n', 'pada-2017-asia-dibanjiri-orang-kaya', 'at-2017-asia-is-overrun-rich', 'bisnis,orang-kaya', '2013-06-03', '1', 'Y', 'pada-2017-asia-dibanjiri-orang-kaya-526306-popoji.jpg', 12),
(4, '7', 'Mengapa Koneksi Internet di Indonesia Cenderung Lambat', 'Why Internet connection in Indonesia Tend to Slow', '&lt;p&gt;Berdasarkan riset Akamai, disebutkan bahwa kecepatan koneksi internet rata-rata di Indonesia sekitar 772 kbps. Jika dibandingkan negara-negara tetangga di kawasan Asia, koneksi internet di Indonesia tergolong lambat. Sebagai perbandingan, kecepatan koneksi internet rata-rata di Malaysia mencapai 1,7 Mbps, Thailand 3 Mbps, Vietnam 1,5 Mbps, Kamboja 1,2 Mbps, dan Laos 956 Kbps.&lt;br&gt;&lt;br&gt;Mengapa koneksi internet di Indonesia cenderung lambat, bahkan mahal? Ada beberapa hal yang melatarbelakanginya.&lt;br&gt;&lt;br&gt;Pertama, kondisi geografis Indonesia sangat luas, dengan medan yang beraneka ragam. Indonesia merupakan negara kepulauan terbesar di dunia, memiliki lebih dari 13 ribu pulau yang terbentang seluas lebih dari 1,9 juta kilometer persegi. Itu masih ditambah medan berbukit dan berlembah, yang tentunya menjadi tantangan tersendiri dalam hal membangun infrastruktur internet, baik kabel maupun nirkabel.&lt;br&gt;&lt;br&gt;Kedua, pengguna internet di Indonesia tergolong tinggi. Pada Desember 2011, tercatat ada 55 juta orang Indonesia yang mengakses internet. Itu berarti 22,4 persen dari total populasi, sehingga Indonesia pun menjadi negara dengan jumlah pengguna internet terbanyak ke-8 di dunia, dan terbanyak ke-4 di Asia, setelah Cina, India, dan Jepang. Semakin banyak jumlah pengguna internet, rata-rata kecepatan internet pun akan menurun.&lt;br&gt;&lt;br&gt;Ketiga, banyaknya operator seluler di Indonesia. Pada saat ini ada 9 operator yang beroperasi di Indonesia, dan jumlah itu dianggap terlalu banyak. Di negara-negara maju, jumlah operator seluler dibatasi pemerintah, sehingga tak pernah lebih dari 5 perusahaan. Dengan jumlah operator yang relatif banyak, maka persediaan jaringan pun terpaksa dibagi-bagi untuk banyak pihak, dan kemudian masing-masing operator akan membaginya kembali pada para pelanggannya. Akibatnya, kualitas jaringan yang sampai pada pelanggan pun relatif rendah.&lt;br&gt;&lt;br&gt;Keempat, regulasi pemerintah yang dianggap kurang efisien. Para operator seluler di Indonesia menilai kewajiban membayar Biaya Hak Penyelenggaraan (BHP) kepada pemerintah terlalu tinggi, sehingga para operator pun harus membuat perhitungan return of invesment (ROI) yang lebih jeli. Bagaimana pun, para operator yang menyediakan jasa koneksi internet tentu ingin balik modal, dan untuk itu kadang harus dilakukan dengan cara menurunkan kualitas layanannya.&lt;br&gt;&lt;br&gt;Kelima, perang promosi operator penyedia koneksi internet di Indonesia yang cenderung kurang sehat. Untuk menarik pelanggan, mereka pun berupaya mengiming-imingi harga semurah mungkin. Ketika banyak pelanggan terpikat dengan iklan atau iming-iming itu, maka konsekuensinya pun kualitas jaringan akan menurun, karena jatah yang disediakan operator akan digunakan oleh banyak pelanggan sekaligus. &lt;br&gt;&lt;/p&gt;', '&lt;p&gt;Research by Akamai, stated that the speed of the internet connection in Indonesia on average about 772 kbps. When compared to neighboring countries in Asia, Indonesia&#039;s internet connection is slow. For comparison, the speed of an average internet connection in Malaysia to 1.7 Mbps, 3 Mbps Thailand, Vietnam 1.5 Mbps, 1.2 Mbps Cambodia, and Laos 956 Kbps.&lt;br&gt;&lt;br&gt;Why internet connection in Indonesia tend to be slow, even expensive? There are a few things that lie behind them.&lt;br&gt;&lt;br&gt;First, the geographical condition of Indonesia is very spacious, with a diverse terrain. Indonesia is the largest archipelago in the world, has more than 13 thousand islands spread over an area of Ã¢â‚¬â€¹Ã¢â‚¬â€¹1.9 million square kilometers. It was added to the hilly terrain and berlembah, which would be a challenge in terms of building the internet infrastructure, both wired and wireless.&lt;br&gt;&lt;br&gt;Second, Internet users in Indonesia is high. In December 2011, there were 55 million Indonesian people are accessing the internet. That means 22.4 percent of the total population, so that Indonesia was the country with the most Internet users in the world&#039;s 8th, and 4th highest in Asia, after China, India, and Japan. The more the number of internet users, the average internet speed would be decreased.&lt;br&gt;&lt;br&gt;Third, many cellular operators in Indonesia. At the moment there are 9 operators operating in Indonesia, and that number is considered too much. In developed countries, the government limited the number of mobile operators, so it was never more than 5 companies. With a relatively large number of operators, the supply network is forced to be divided between many parties, and then each operator will divide back on his customers. As a result, network quality to the customers is relatively low.&lt;br&gt;&lt;br&gt;Fourth, the government regulations that are considered less efficient. The cellular operator in Indonesia assessing liability to pay fees Rights Organization (BHP) to the government are too high, so that the operator had to make a return on investment as calculations (ROI) are more observant. After all, the operators providing Internet connection services would want return on investment, and for that sometimes must be done by lowering the quality of services.&lt;br&gt;&lt;br&gt;Fifth, war promotion operator internet connection provider in Indonesia, which tend to be less healthy. To attract customers, they were trying to lure the lowest possible price. When many customers lured by advertisements or the lure, then any consequences network quality will decline, because the rations provided by the service will be used by many customers at once.&lt;br&gt;&lt;/p&gt;', 'mengapa-koneksi-internet-di-indonesia-cenderung-lambat', 'why-internet-connection-in-indonesia-tend-to-slow', 'internet-indonesia,internet,teknologi', '2013-06-03', '1', 'Y', 'mengapa-koneksi-internet-di-indonesia-cenderung-lambat-937225-popoji.jpg', 13),
(5, '8', 'Kelebihan Kamera Smartphone Dibandingkan SLR ', 'Compared Excess SLR Camera Smartphone', '&lt;p&gt;Anda belum punya kamera SLR (Single Lens Reflex) ? Tapi sudah memiliki smartphone dengan kualitas kamera yang lumayan bagus bukan?. Tenang saja walaupun anda menggunakan kamera smartphone tapi anda bisa menghasilkan hasil jepretan yang mengagumkan yang hampir setara dengan kamera SLR. &lt;br&gt;&lt;br&gt;Kualitas foto smartphone vs SLR pastinya akan berbeda karena prosesornya juga berbeda.Tetapi kamera smartphone saat sekarang memiliki kelebihan tersendiri bila dibandingkan dengan kamera SLR.Ã‚  Berikut kelebihan kamera smartphone dibandingkan dengan SLR :&lt;br&gt;&lt;/p&gt;&lt;ol&gt;&lt;li&gt;Memiliki kamera smartphone itu lebih murah bila dibandingkan dengan kamera SLR. Karena dengan harga yang sama anda bisa mendapatkan smartphone dan kamera keren. &lt;/li&gt;&lt;li&gt;Kamera smartphone penggunaannya juga lebih mudah dibanding kamera SLR. &lt;/li&gt;&lt;li&gt;Lebih praktis saat akan digunakan untuk sharing dengan teman-teman yang lain jika anda menggunakan kamera smartphone.&lt;/li&gt;&lt;li&gt;Dengan kamera smartphone anda bisa lebih leluasa mengabadikan momen dengan spontan tanpa harus ribet.&lt;br&gt;&lt;/li&gt;&lt;/ol&gt;&lt;p&gt;Untuk menghasilkan foto yang terbaik sebaiknya anda harus memperhatikan beberapa hal dalam pengambilan gambar/foto. Berikut Beberapa hal yang harus diperhatikan dalam pengambilan foto : &lt;br&gt;&lt;/p&gt;&lt;ol&gt;&lt;li&gt;Pendekatan dekoratif yaitu foto yang anda ambil layaknya membuat laporan yang gunanya untuk melengkapi sebuah cerita.&lt;/li&gt;&lt;li&gt;Pendekatan artistik. Pendekatan ini yang paling penting, yang termasuk dalam pendekatan artistik dalam pengambilan foto adalah : &lt;/li&gt;&lt;/ol&gt;&lt;ul&gt;&lt;li&gt;Dalam membuat komposisi foto, anda harus perhatikan Rule of Thirds. Dimana anda membagi foto ke dalam tiga bagian yakni garis, vertikal &amp; horizontal. &lt;/li&gt;&lt;li&gt;Anda harus menaruh objek foto di tengah frame, pastikan komposisinya pas mengikuti Rule of Center.Jadikan jarak objek anda berada di tengah frame seimbang antara jarak atas-bawah-kanan-kiri dari objek tersebut. &lt;/li&gt;&lt;li&gt;Elemen lain yg harus diperhatikan dalam fotografi adalah lighting atau pencahayaan. Penting sekali anda memahami pengaturan cahaya supaya hasil foto yang anda hasilkan semakin keren. Untuk lighting dengan cahaya matahari, perhatikan Golden Time, yaitu jam 6-10 siang atau 4-6 sore untuk hasil foto maksimal. Saat Golden Time tersebut cahaya matahari lagi bagus-bagusnya. Jadi tidak terlalu terang, dan tidak terlalu gelap. &lt;/li&gt;&lt;li&gt;Anda juga bisa menambahkan teknik lighting saat editing foto, yang harus kamu perhatikan adalah koreksi saturasi, kontras dan masking foto anda saat edit lighting foto. Untuk pengambilan gambar yang fokus anda harus steady, melakukan touch focus sebelum pengambilan foto dan mengaktifkan anti-shake. &lt;/li&gt;&lt;li&gt;Komposisi foto yang &#039;nyeleneh&#039; atau tidak sengaja juga bisa jadi foto yang bagus asal anda memperhatikan estetika gambar juga. Misalnya anda mau menaruh objek foto ditengah, pastikan ada objek yang framing objek utama anda.Kalau anda mau foto gedung tinggi, cobain fotonya dengan black and white. Hasil fotonya akan jadi lebih dramatis lho.&lt;br&gt;&lt;/li&gt;&lt;/ul&gt;&lt;p&gt;Selamat mencoba tips ini ya mudah-mudahan anda berhasil jadi fotografer. Jika sudah bisa anda bisa beralih ke kamera SLR.&lt;br&gt;&lt;/p&gt;', '&lt;p&gt;You do not have SLR (Single Lens Reflex)? But already have a smartphone with a camera quality is pretty good is not it?. Take it even if you use a smartphone camera but you can produce amazing shots which is almost equivalent to SLR cameras.&lt;br&gt;&lt;br&gt;SLR vs smartphone photo quality is sure to be different because the processor is also present berbeda.Tetapi smartphone camera has its own advantages when compared to SLR cameras. Following advantages compared to the SLR camera smartphone:&lt;br&gt;&lt;/p&gt;&lt;ol&gt;&lt;li&gt;Having a smartphone camera is cheaper when compared to SLR cameras. Because for the same price you can get a cool smartphone and camera.&lt;/li&gt;&lt;li&gt;Use your smartphone&#039;s camera is also much easier than SLR cameras.&lt;/li&gt;&lt;li&gt;More practical use when it comes to sharing with another friends if you use a smartphone camera.&lt;/li&gt;&lt;li&gt;With your smartphone camera to capture the moment can be more flexible with spontaneous without having complicated.&lt;br&gt;&lt;/li&gt;&lt;/ol&gt;&lt;p&gt;To produce the best picture but you should consider several things in making pictures / photos. Here are some things to consider in making a photo:&lt;br&gt;&lt;/p&gt;&lt;ol&gt;&lt;li&gt;Decorative approach that you take photos like a report that point to complete a story.&lt;/li&gt;&lt;li&gt;Artistic approach. This approach is most important, which is included in the artistic approach to capture is:&lt;br&gt;&lt;/li&gt;&lt;/ol&gt;&lt;ul&gt;&lt;li&gt;In making the composition of the photo, you should note the Rule of Thirds. Where you divide the image into three parts: line, vertical &amp; horizontal.&lt;/li&gt;&lt;li&gt;You have to put the object in the center of the frame, be sure to follow the Rule of composition fitting Center.Jadikan object distance you are in the middle of the frame balanced between distance of top-down-right-left of the object.&lt;/li&gt;&lt;li&gt;Another element that must be considered in photography is lighting or lighting. It is important that you understand the light settings the images you produce the more cool. For lighting with sunlight, consider Golden Time, ie at 6-10 noon or 4-6 pm for maximum image results. Golden Time when the sun again good-good. So not too bright, and not too dark.&lt;/li&gt;&lt;li&gt;You can also add lighting techniques as photo editing, you should notice is the saturation correction, contrast and masking your current photo editing photo lighting. To capture an image that you have a steady focus, touch focus do before taking photos and turn anti-shake.&lt;/li&gt;&lt;li&gt;Photo composition &#039;eccentric&#039; or unintentionally could also be a good photo as long as you pay attention to the aesthetic picture also. Suppose you want to put the object in the middle photo, make sure the object is the main object framing anda.Kalau you want to photograph a tall building, cobain pictures with black and white. The picture will be more dramatic, you know.&lt;br&gt;&lt;/li&gt;&lt;/ul&gt;&lt;p&gt;Good luck these tips so hopefully you managed to be a photographer. If you might have to switch to an SLR camera.&lt;br&gt;&lt;/p&gt;', 'kelebihan-kamera-smartphone-dibandingkan-slr', 'compared-excess-slr-camera-smartphone', 'gadget,kamera-slr,kamera-smartphone,teknologi', '2013-06-03', '1', 'Y', 'kelebihan-kamera-smartphone-dibandingkan-slr--531616-popoji.jpg', 11),
(6, '5', 'Pelajar Indonesia Raih Penghargaan Putri Diana', 'Indonesian Students Win Awards Princess Diana', '&lt;p&gt;Seorang siswi sekolah menengah atas di Tangerang menjadi pelajar pertama dari Indonesia yang menerima penghargaan internasional Diana atas usaha membantu komunitas di pinggiran Sungai Cisadane. Christy Zakarias menerima sertifikat The International Diana Award dari Duta Besar Inggris Mark Canning, Kamis (30/5/2013).&lt;br&gt;&lt;br&gt;Christy mendapatkan penghargaan Diana ini atas upayanya di Kampung Lengkong, komunitas masyarakat di pinggiran Cisadane, Tangerang. Pelajar berusia 14 tahun ini memberikan pelajaran Bahasa Inggris secara gratis kepada anak anak-anak sekolah dasar dari keluarga tidak mampu. Ia mendirikan organisasi yang disebut Riveria.&lt;br&gt;&lt;br&gt;Penghargaan Diana dibentuk tahun 2011 untuk mengenang Putri Diana yang banyak mendukung berbagai yayasan di seluruh dunia.&lt;br&gt;&lt;br&gt;&lt;b&gt;Bantu Masyarakat&lt;/b&gt;&lt;br&gt;&lt;br&gt;Penghargaan ini diberikan untuk anak-anak muda yang mendedikasikan waktu mereka untuk membantu masyarakat di sekitarnya. Duta Besar Inggris Mark Canning mengatakan, penghargaan yang diterima Christy ini sebagai &quot;pencapaian atas usaha luar biasa yang telah ia lakukan untuk komunitas sekitar&quot;.&lt;br&gt;&lt;br&gt;&quot;Saya ucapkan selamat kepada Christy dan generasi muda Indonesia lainnya yang telah membantu masyarakat kurang mampu dan menyumbangkan kembali keahlian mereka melalui usaha-usaha yang penting bagi komunitas mereka,&quot; kata Canning.&lt;br&gt;&lt;br&gt;&quot;Saya yakin Putri Diana, yang kenangannya telah menginspirasi penghargaan ini, akan sangat terkesan dengan apa yang telah dicapai Christy,&quot; tambahnya.&lt;br&gt;&lt;br&gt;Sertifikat penghargaan yang diterima Christy ditandatangani oleh Perdana Menteri Inggris David Cameron. &lt;br&gt;&lt;/p&gt;', '&lt;p&gt;A high school student in Tangerang became the first student from Indonesia who received an international award for the effort to help communities Diana on the banks of the Cisadane. Christy Zacharias receive the International Diana Award certificate from British Ambassador Mark Canning, Thursday (05/30/2013).&lt;br&gt;&lt;br&gt;Christy Diana was awarded for his efforts in Kampung Lengkong, communities on the outskirts of Cisadane, Tangerang. The 14-year-old student gave free English lessons to children of primary school children from poor families. He founded an organization called Riveria.&lt;br&gt;&lt;br&gt;Diana Award was established in 2011 in memory of Princess Diana which many supports various foundations around the world.&lt;br&gt;&lt;br&gt;&lt;b&gt;Help the Community&lt;/b&gt;&lt;br&gt;&lt;br&gt;This award is given to young people who dedicate their time to helping the surrounding community. British Ambassador Mark Canning said Christy received this award as a &quot;tremendous achievement for the effort he has done for the surrounding community&quot;.&lt;br&gt;&lt;br&gt;&quot;I congratulate Christy and other Indonesian young generation who have helped the less fortunate and giving back their expertise through efforts that are important to their communities,&quot; said Canning.&lt;br&gt;&lt;br&gt;&quot;I&#039;m sure Princess Diana, whose memory has inspired this award, will be very impressed with what has been achieved Christy,&quot; he added.&lt;br&gt;&lt;br&gt;Christy received a certificate of appreciation signed by British Prime Minister David Cameron.&lt;br&gt;&lt;/p&gt;', 'pelajar-indonesia-raih-penghargaan-putri-diana', 'indonesian-students-win-awards-princess-diana', 'putri-diana,penghargaan-putri-diana,pelajar-indonesia,edukasi', '2013-06-03', '1', 'Y', 'pelajar-indonesia-raih-penghargaan-putri-diana-515319-popoji.jpg', 38),
(7, '5', 'Masyarakat Tak Terbiasa Berpikir Rasional', 'Not Accustomed Rational Thinking Society', '&lt;p&gt;Menghentikan kendaraan di tikungan, berkendara sambil menggunakan telepon seluler atau melawan arah, berbelok arah secara tiba-tiba, menyeberang jalan sembarangan adalah pemandangan lalu lintas Jakarta dan kota-kota besar lain sehari-hari. Demi mengejar kenyamanan sesaat, banyak orang mengabaikan keselamatan diri dan orang lain.&lt;br&gt;&lt;br&gt;Jalanan adalah cermin budaya masyarakat. Di luar persoalan sistem lalu lintas yang belum tertata dan buruknya infrastruktur, keruwetan di jalan menunjukkan banyak orang tidak memikirkan akibat dari tindakannya. Putusan atas berbagai hal diambil berdasarkan emosi, bukan pikiran rasional.&lt;br&gt;&lt;br&gt;Diabaikannya rasionalitas juga ditunjukkan oleh banyaknya orang tertipu investasi yang menawarkan keuntungan berlebihan, terpilihnya anggota legislatif atau kepala daerah karena penampilan fisik, hingga perilaku sejumlah tokoh publik yang berbicara tanpa mengindahkan etika di depan masyarakat umum.&lt;br&gt;&lt;br&gt;Ketidakmampuan berpikir logis itu membuat masyarakat tidak bisa berargumentasi dan mengungkapkan pemikiran secara terstruktur. Kondisi itu juga menyebabkan banyak masyarakat sulit diajak berdiskusi, selalu menganggap dirinya paling benar dan tidak bisa menghargai pemikiran orang lain.&lt;br&gt;&lt;br&gt;Ã¢â‚¬ÂIni sangat membahayakan Indonesia yang menjadi juara dunia heterogenitas,Ã¢â‚¬Â kata Ketua Panitia Bulan Budaya Bernalar yang juga dosen Program Studi Astronomi Institut Teknologi Bandung (ITB) Premana W Premadi di sela-sela acara Science, Technology, Engineering, Arts, and Mathematics di Museum Geologi Bandung, Sabtu (18/5).&lt;br&gt;&lt;br&gt;Bulan Budaya Bernalar adalah gerakan yang dipelopori dosen-dosen ITB yang prihatin dengan kemampuan menalar masyarakat. Tidak dimilikinya keterampilan berpikir logis itu terjadi pada semua kelompok masyarakat, tidak mengenal pendidikan, kemampuan ekonomi, ataupun jabatan. Rendahnya kemampuan menalar juga terjadi pada mahasiswa sebagai kelompok masyarakat terdidik.&lt;br&gt;&lt;br&gt;Kondisi itu diyakini akan membuat bangsa Indonesia sulit maju. Padahal, Indonesia menargetkan menjadi negara maju dengan pendapatan per kapita 14.250 dollar AS-15.500 dollar AS pada 2025. Inovasi dipastikan akan rendah. Gesekan sosial dan konflik antarkelompok pun akan makin sering terjadi.&lt;br&gt;&lt;br&gt;&lt;b&gt;Berpikir logis&lt;/b&gt;&lt;br&gt;&lt;br&gt;Ketua Satuan Penjaminan Mutu ITB yang juga Guru Besar Aeronautika dan Astronautika ITB Ichsan Setya Putra mengatakan, kemampuan berpikir logis merupakan bekal hidup utama manusia agar mampu memberdayakan segala kemampuan yang dimiliki serta menyelesaikan masalah yang dihadapi untuk maju.&lt;br&gt;&lt;br&gt;Ã¢â‚¬ÂSejarah membuktikan bangsa yang maju adalah bangsa yang memiliki kemampuan berpikir logis,Ã¢â‚¬Â ujarnya.&lt;br&gt;&lt;br&gt;Mengutip buku Howard Gardner, Five Minds for the Future (2007), Ichsan menjelaskan kemampuan berpikir yang dibutuhkan di masa datang dalam dunia yang mengglobal adalah kemampuan berpikir untuk menghargai orang lain, menjunjung tinggi etika, fokus dalam satu bidang, menyintesis informasi, dan berpikir kreatif.&lt;br&gt;&lt;br&gt;Kemampuan untuk menghargai orang lain dan menjunjung etika penting dalam membangun hubungan dengan sesama. Kemampuan ini membuat seseorang sadar dan menghargai perbedaan setiap manusia. Tanpa kemampuan ini, orang akan sulit bekerja sama, berkomunikasi, dan membangun kepercayaan terhadap orang lain.&lt;br&gt;&lt;br&gt;Ketiga kemampuan lain berkaitan dengan proses kognisi. Kemampuan untuk fokus dalam satu bidang dilandasi keterbatasan manusia yang tidak bisa menguasai semua hal. Penguasaan satu ilmu tertentu diperlukan sebagai jalan untuk membangun pola pikir karena otak tidak bisa memahami sesuatu secara intuitif atau berdasar kemauan hati.&lt;br&gt;&lt;br&gt;&lt;b&gt;Sintesis informasi&lt;/b&gt;&lt;br&gt;&lt;br&gt;Berbekal pengetahuan yang dimiliki, seseorang akan mampu menyintesis informasi yang dihadapi. Di era tsunami digital, kemampuan ini penting untuk menyaring informasi yang melimpah dan menjadikannya sebagai pengetahuan yang berguna. Kemampuan ini juga diperlukan untuk mengintegrasikan berbagai ide menjadi satu kesatuan utuh dan mengomunikasikannya kepada orang lain.&lt;br&gt;&lt;br&gt;Dengan pola pikir dan kemampuan menyintesis informasi, seseorang dapat mendayagunakan pikiran untuk berpikir kreatif. Kreativitas yang dibangun berdasar gagasan bisa dimanfaatkan untuk membangun inovasi, menciptakan peluang, hingga membuat perubahan.&lt;br&gt;&lt;br&gt;Pendiri Eureka, Math, and Science Learning Center yang juga dosen Program Studi Fisika ITB Alexander A Iskandar mengatakan, guru memegang peranan kunci untuk memperbaiki kemampuan bernalar masyarakat. Di saat informasi datang dari berbagai sumber seperti sekarang, guru tak lagi bisa dijadikan sebagai pemegang kebenaran tunggal.&lt;br&gt;&lt;br&gt;Karena itu, pendidikan berkelanjutan mutlak diperlukan guru. Bukan hanya soal pedagogi, melainkan yang lebih penting adalah penguasaan guru atas materi yang diajarkan. Ini akan mengubah peran guru dari sumber utama pengajaran menjadi pendamping siswa.&lt;br&gt;&lt;br&gt;Kreativitas siswa dalam menyelesaikan masalah perlu dihargai, termasuk dalam menjawab persoalan sains dan matematika. Ini akan terus menumbuhkan keingintahuan siswa dan mendorong mereka untuk berani berpikir di luar pemikiran yang ada.&lt;br&gt;&lt;/p&gt;', '&lt;p&gt;Vehicle stop at the corner, driving while using a mobile phone or against the direction, turn direction suddenly, carelessly crossing the road is a scenic traffic Jakarta and other major cities everyday. In pursuit of momentary convenience, many people disregard the safety of themselves and others.&lt;br&gt;&lt;br&gt;Street culture is a mirror of society. Beyond the issue of the traffic system that lacks order and poor infrastructure, the complexity in the road shows a lot of people do not think about the result of his actions. A decision on a variety of things taken based on emotions, not rational thought.&lt;br&gt;&lt;br&gt;Waiver of rationality is also indicated by the number of people fooled investments that offer excessive profits, elected members of the legislature or the head of the region because of physical appearance, to the behavior of a number of public figures who speak without regard to ethics in front of the general public.&lt;br&gt;&lt;br&gt;Inability to think logically it makes people can not argue and express ideas in a structured manner. The condition also causes a lot of difficult people consulted, always considered himself the most correct and can not respect other people&#039;s thinking.&lt;br&gt;&lt;br&gt;&quot;It&#039;s very dangerous to Indonesia who became world champion heterogeneity,&quot; said Culture Month Committee Chairman who is also professor of reasoning Studies Program Astronomy Institut Teknologi Bandung (ITB) Premana W Premadi on the sidelines of the Science, Technology, Engineering, Arts, and Mathematics at the Museum Bandung Geology, Saturday (18/5).&lt;br&gt;&lt;br&gt;Culture Month reason is that movement spearheaded ITB lecturers who are concerned with the ability to reason. Its not logical thinking skills that occurs in all societies, not familiar with education, economic capacity, or office. Lack the ability to reason also occur in students as groups of educated people.&lt;br&gt;&lt;br&gt;The condition is believed to be difficult to make the Indonesian nation forward. In fact, Indonesia is targeting a developed country with a per capita income of 14,250 U.S. dollars 15,500-dollars in 2025. Innovation certainly be lower. Social cohesion and intergroup conflict will occur more frequently.&lt;br&gt;&lt;br&gt;&lt;b&gt;Think logically&lt;/b&gt;&lt;br&gt;&lt;br&gt;Chairman of the Quality Assurance Unit ITB which is also Professor of Aeronautics and Astronautics ITB Loulembah Setya Putra said, the ability to think logically is a major provision of human life to be able to empower all the capabilities and resolve issues facing forward.&lt;br&gt;&lt;br&gt;&quot;History proves developed nation is a nation that has the ability to think logically,&quot; he said.&lt;br&gt;&lt;br&gt;Citing the book Howard Gardner, Five Minds for the Future (2007), Loulembah explains the thinking skills needed for the future in a globalized world is the ability to appreciate other people&#039;s thinking, ethics, focus on one area, synthesize information, and creative thinking .&lt;br&gt;&lt;br&gt;Ability to appreciate other people and uphold the ethics important in building relationships with others. This ability to make a person aware of and appreciate the differences of every human being. Without this ability, people will be hard work together, communicate, and build confidence in others.&lt;br&gt;&lt;br&gt;The third relates to the ability of other cognitive processes. Ability to focus in one area based on human limitations can not master everything. Mastery of certain knowledge is required as a way to build a mindset because the brain can not understand something intuitively or based on whim liver.&lt;br&gt;&lt;br&gt;&lt;b&gt;Synthesis of information&lt;/b&gt;&lt;br&gt;&lt;br&gt;Armed with knowledge, someone will be able to synthesize the information at hand. In the era of digital tsunami, this ability is important to filter the abundant information and make it as useful knowledge. This capability is also required to integrate a variety of ideas into a unified whole and communicating them to others.&lt;br&gt;&lt;br&gt;With the mindset and the ability to synthesize information, one can utilize the mind to think creatively. Built on the idea that creativity can be used to build innovation, create opportunities, to make changes.&lt;br&gt;&lt;br&gt;Founder of Eureka, Math, and Science Learning Center is also a lecturer of Physics Study Program ITB Alexander A Iskandar said the teacher plays a key role to improve the ability of public reason. At the time the information comes from a variety of sources such as now, teachers can no longer serve as the sole holder of the truth.&lt;br&gt;&lt;br&gt;Therefore, itis absolutely necessary continuing education of teachers. Not just a matter of pedagogy, but more important is the mastery of the material taught teachers. This will change the role of teachers from primary sources become the companion student teaching.&lt;br&gt;&lt;br&gt;Students&#039; creativity in solving problems need to be respected, including in science and math to answer the question. It will continue to foster students&#039; curiosity and encourage them to think beyond the existing thinking.&lt;br&gt;&lt;/p&gt;', 'masyarakat-tak-terbiasa-berpikir-rasional', 'not-accustomed-rational-thinking-society', 'berpikir-rasional,masyarakat-indonesia,edukasi', '2013-06-03', '1', 'Y', 'masyarakat-tak-terbiasa-berpikir-rasional-746673-popoji.jpg', 28),
(8, '6', 'Fast  Furious 6 Kembalinya Jagoan-jagoan Jalanan', 'Fast  Furious 6 Return of the Champ-Champ Street', '&lt;p&gt;Seri keenam dari Fast &amp;amp; Furious akhirnya ditayangkan di Indonesia. Ada kebanggaan terselip ketika salah satu aktor laga Indonesia, Joe Taslim, hadir memberi warna.&lt;br&gt;&lt;br&gt;Cerita bermula dari akhir Fast Five (2011) setelah Dominic Toretto (Vin Diesel) cs berhasil mencuri 100 juta dollar AS. Tiap-tiap anggota timnya lalu menempuh hidup secara terpisah.&lt;br&gt;&lt;br&gt;Brian O&#039;Conner (Paul Walker) telah menjadi suami dari Mia Toretto (Jordana Brewster). Sementara itu, Han (Sung Kang) meneruskan hubungannya dengan Gal Gadot (Gisele Yashar). Adapun Roman Pearce (Tyerese Gibson) dan Tej Parker (Chris &#039;Ludacris&#039; Bridges) menghamburkan harta yang didapatnya. &lt;br&gt;&lt;br&gt;Mereka dipaksa kembali bersatu setelah agen pemerintah, Luke Hobbs (Dwayne &quot;The Rock&quot; Johnson), meminta Dominic menangkap gembong penjahat yang diketuai Owen Shaw (Luke Evans). Dominic tentu menolak sampai Luke menunjukkan foto Letty (Michelle Rodriguez) yang sebelumnya diketahui meninggal, tetapi ternyata masih hidup dan kini bergabung dengan kelompok Shaw.&lt;br&gt;&lt;br&gt;Sekecil apa pun kesempatan untuk bertemu Letty diambil Dominic, meski harus menempuh bahaya. Ia pun mengumpulkan kembali tim yang telah dianggapnya sebagai keluarga. Satu yang dijanjikan Luke, yakni kebebasan dan bersihnya catatan kriminal mereka jika berhasil menangkap Shaw.&lt;br&gt;&lt;br&gt;Dengan dasar itu mereka semangat mengejar Shaw, hingga tiba Dominic berhadapan langsung dengan Letty. Namun, bukan pelukan hangat yang didapat, Letty justru menembak Dominic.&lt;br&gt;&lt;br&gt;Fast &amp;amp; Furious 6 atau Fast Six tetap menyuguhkan aksi liar di jalan raya, deretan gadis seksi, juga aksi baku hantam dan ledakan yang lebih banyak dari film sebelumnya. Meski beberapa adegan terlihat berlebihan atau terlalu mudah, Fast Six hadir bukan dengan mobil jalanan yang mengandalkan modifikasi umum seperti pada seri sebelumnya.&lt;br&gt;&lt;br&gt;Meski demikian, gaya bercerita terkesan bukan hal baru, pihak polisi yang memanfaatkan penjahat untuk menangkap penjahat dengan imbalan pembersihan catatan kriminal mereka.&lt;br&gt;&lt;br&gt;Satu yang diacungi jempol, alur cerita dibuat saling menyatu dengan Fast &amp;amp; Furious sebelumnya. Bahkan, akhir dari Fast Six merupakan awal dari Tokyo Drift (2006) yang akan menjadi awalan dari Fast &amp;amp; Furious 7 yang sesuai rencana dirilis pada tahun depan.&lt;br&gt;&lt;br&gt;Jangan lupa juga atas kesempatan luar biasa yang diraih Joe Taslim dalam memerankan tokoh Jah, salah satu anak buah Shaw. Ia menunjukkan kualitasnya di Fast Six, dan mendapatkan scene yang lumayan menonjol. &lt;br&gt;&lt;/p&gt;', '&lt;p&gt;The sixth series of the Fast &amp;amp; Furious finally aired in Indonesia. There is tucked pride when one Indonesian actor, Joe Taslim, comes to color.&lt;br&gt;&lt;br&gt;The story starts from the end of Fast Five (2011) after Dominic Toretto (Vin Diesel) cs managed to steal 100 million dollars. Each team member separately and then lead a life.&lt;br&gt;&lt;br&gt;Brian O&#039;Conner (Paul Walker) has to be the husband of Mia Toretto (Jordana Brewster). Meanwhile, Han (Sung Kang) continuing relationship with Gal Gadot (Gisele Yashar). The Roman Pearce (Tyerese Gibson) and Tej Parker (Chris &#039;Ludacris&#039; Bridges) gets squandered treasure.&lt;br&gt;&lt;br&gt;They were forced to re-unite after a government agent, Luke Hobbs (Dwayne &quot;The Rock&quot; Johnson), asks Dominic kingpin capture criminals who chaired Owen Shaw (Luke Evans). Dominic Luke certainly refuse to show photo Letty (Michelle Rodriguez) were previously known to have died, but it was still alive and has now joined the Shaw group.&lt;br&gt;&lt;br&gt;The slightest chance to meet Letty taken Dominic, although they had to take the danger. He also recollected that the team has been regarded as a family. Luke promised one, namely freedom and net their criminal record if caught Shaw.&lt;br&gt;&lt;br&gt;On that basis they catch the spirit of Shaw, to come face to face with Letty Dominic. However, instead of a warm hug obtained, Letty actually shot Dominic.&lt;br&gt;&lt;br&gt;Fast &amp;amp; Furious 6 or Fast Six still presenting the wild action on the road, a row of sexy girls, also acts fisticuffs and explosions are much more than the previous films. Although some of the scenes look overdone or too easy, Fast Six comes not with a street car that relies on common modifications as in the previous series.&lt;br&gt;&lt;br&gt;Nevertheless, impressed storytelling is not new, the police are utilizing criminals to catch criminals in exchange for cleaning their criminal record.&lt;br&gt;&lt;br&gt;One thumbs up, made each storyline together with previous Fast &amp;amp; Furious. In fact, the end of Fast Six is Ã¢â‚¬â€¹Ã¢â‚¬â€¹the beginning of Tokyo Drift (2006) which will be the prefix of Fast &amp;amp; Furious 7 is released as planned next year.&lt;br&gt;&lt;br&gt;Do not forget also the extraordinary opportunities that achieved in playing the character Joe Taslim Jah, one of Shaw&#039;s men. He showed his quality in Fast Six, and get a fairly prominent scene.&lt;br&gt;&lt;/p&gt;', 'fast--furious-6-kembalinya-jagoanjagoan-jalanan', 'fast--furious-6-return-of-the-champchamp-street', 'entertainment,box-office,fast--furious-6,film', '2013-06-03', '1', 'Y', 'fast--furious-6-kembalinya-jagoanjagoan-jalanan-76263-popoji.jpg', 13);
INSERT INTO `post` (`id_post`, `id_category`, `title_id`, `title_en`, `content_id`, `content_en`, `seotitle_id`, `seotitle_en`, `tag`, `date`, `editor`, `active`, `picture`, `hits`) VALUES
(9, '9', 'Lorenzo Ungkap Kunci Sukses Hattrick di Mugello', 'Lorenzo Reveals Key to Success Hattrick in Mugello', '&lt;p&gt;Jorge Lorenzo sukses mencatat hattrick kemenangan pada MotoGP Italia di Sirkuit Mugello, Minggu 2 Juni 2013. Pembalap Yamaha itu mengungkapkan kunci suksesnya merebut kemenangan ketiga beruntun di Mugello.&lt;br&gt;&lt;br&gt;Start dari posisi 2, Lorenzo berhasil memanfaatkan kesalahan pembalap Repsol Honda, Dani Pedrosa, yang meraih pole position. Pedrosa melebar di tikungan 1, dan kesalahan itu berhasil dimaksimalkan oleh Lorenzo.&lt;br&gt;&lt;br&gt;Lorenzo terus mendapat tekanan Pedrosa hingga pertengahan balapan. Bahkan, Lorenzo hanya unggul sekitar 1 detik atas kompatriotnya tersebut. Momen kebangkitan Lorenzo datang setelah lap ke-13.&lt;br&gt;&lt;br&gt;&quot;Pedrosa menguntit saya sekitar 13 lap, tapi setelah itu saya sedikit ngotot. Kunci kemenangan terjadi di pertengahan balapan, ketika saya memperbaiki gaya membalap. Saya mampu mengerem lebih akhir dengan bahan bakar di tangki lebih sedikit dan meningkatkan kecepatan,&quot; ujar Lorenzo seperti dilansir Crash.&lt;br&gt;&lt;br&gt;&quot;Sejak saat itu, Pedrosa sedikit tertinggal. Saya mampu menjauh dan meraih kemenangan, sama seperti yang terjadi musim lalu,&quot; sambung juara dunia MotoGP 2010 dan 2012 itu.&lt;br&gt;&lt;br&gt;Ini adalah kemenangan ketiga beruntun Lorenzo di Mugello. Pembalap 26 tahun itu menegaskan kemenangan ketiga ini terasa sangat spesial.&lt;br&gt;&lt;br&gt;&quot;Sangat spesial. Saya menang dalam tiga tahun terakhir di sini, jadi ini trek magis untuk saya dan positif bagi Yamaha. Tapi, kami harus tetap bekerja keras. Jika bukan di trek sangat mengalir seperti Mugello, kami akan kesulitan,&quot; tegas Lorenzo.&lt;br&gt;&lt;br&gt;Lorenzo mempersembahkan kemenangan di Mugello untuk Presiden Yamaha Motor Racing, Shigeto Kitagawa, yang akan pensiun. (one)&lt;br&gt;&lt;/p&gt;', '&lt;p&gt;Jorge Lorenzo successfully recorded a hat trick win at the Italian GP in Mugello Circuit, Sunday, June 2, 2013. Yamaha reveals key to the success of a third straight win at Mugello.&lt;br&gt;&lt;br&gt;Start from position 2, Lorenzo managed to exploit errors Repsol Honda rider, Dani Pedrosa, who won the pole position. Pedrosa wide on bend 1, and the error was successfully maximized by Lorenzo.&lt;br&gt;&lt;br&gt;Lorenzo Pedrosa continued to get pressure up the middle of the race. In fact, Lorenzo only about 1 second lead over compatriot them. Lorenzo moment of awakening came after lap 13.&lt;br&gt;&lt;br&gt;&quot;Pedrosa stalking me around 13 laps, but after that I was a little stubborn. Keys victory occurred in mid-race, when I improve driving style. Brakes I was able to finish with more fuel in the tank and increase the speed a little more,&quot; Lorenzo said as quoted by Crash .&lt;br&gt;&lt;br&gt;&quot;Since then, a little behind Pedrosa. Away and I was able to win, as they did last season,&quot; continued the 2010 MotoGP world champion and 2012&#039;s.&lt;br&gt;&lt;br&gt;This is the third straight win Lorenzo at Mugello. 26-year-old racer confirms third win this feels very special.&lt;br&gt;&lt;br&gt;&quot;It is special. I won in the last three years here, so this is a magical track for me and positive for Yamaha. But, we have to keep working hard. If not in a very flowing track like Mugello, we would have trouble,&quot; said Lorenzo.&lt;br&gt;&lt;br&gt;Lorenzo dedicated the win at Mugello for the President of Yamaha Motor Racing, Shigeto Kitagawa, who will retire. (one)&lt;br&gt;&lt;/p&gt;', 'lorenzo-ungkap-kunci-sukses-hattrick-di-mugello', 'lorenzo-reveals-key-to-success-hattrick-in-mugello', 'olahraga,lorenzo,moto-gp,sport', '2013-06-03', '1', 'Y', 'lorenzo-ungkap-kunci-sukses-hattrick-di-mugello-342285-popoji.jpg', 11),
(10, '9', 'Jose Mourinho Kritik Etika Di Sepakbola Modern', 'Jose Mourinho criticism Ethics in Modern Football', '&lt;p&gt;Jose Mourinho mengkritik etika di sepakbola modern setelah memutuskan mundur dari jabatannya sebagai pelatih Real Madrid.&lt;br&gt;&lt;br&gt;Menurut Mourinho, sejumlah prinsip penting dalam pertandingan dan sepakbola secara keseluruhan sudah tak lagi berada di tempatnya.&lt;br&gt;&lt;br&gt;&quot;Saya meyakini sukses tergantung pada tujuan yang diraih oleh grup, yang mampu mengidentifikasi, mengembangkan dan berjuang memerebutkan tujuan tersebut,&quot; kata Mourinho, Senin (3/6).&lt;br&gt;&lt;br&gt;&quot;Sekarang ini menjadi jauh lebih sulit untuk sebuah grup bekerja sebagai satu unit. Nilai-nilai yang ada hilang, pndidikan dan profesionalisme menjadi jauh lebih buruk dan buruk.&quot;&lt;br&gt;&lt;br&gt;&quot;Ini adalah masalah yang dihadapi oleh komunitas sekarang ini dan sepakbola secara umum, bekerja sebagai sebuah grup, bukan secara individu,&quot; tandasnya.&lt;br&gt;&lt;/p&gt;', '&lt;p&gt;Jose Mourinho criticizes ethics in modern football after decided to resign from his post as coach of Real Madrid.&lt;br&gt;&lt;br&gt;According to Mourinho, a number of important principles in games and football as a whole is no longer in place.&lt;br&gt;&lt;br&gt;&quot;I believe that success depends on the goals achieved by the group, which is able to identify, develop and fight memerebutkan that goal,&quot; Mourinho said on Monday (3/6).&lt;br&gt;&lt;br&gt;&quot;Now it becomes much more difficult for a group to work as a unit. Values Ã¢â‚¬â€¹Ã¢â‚¬â€¹is missing, pndidikan and professionalism became much worse and worse.&quot;&lt;br&gt;&lt;br&gt;&quot;This is a problem faced by the community right now and football in general, to work as a group, not individually,&quot; he said.&lt;br&gt;&lt;/p&gt;', 'jose-mourinho-kritik-etika-di-sepakbola-modern', 'jose-mourinho-criticism-ethics-in-modern-football', 'real-madrid,jose-mourinho,sepak-bola,olahraga,sport', '2013-06-03', '1', 'Y', 'jose-mourinho-kritik-etika-di-sepakbola-modern-690612-popoji.jpg', 11),
(11, '8', 'Sun  Cloud Kamera Digital yang Bisa Menciptakan Listrik Sendiri', 'Sun  Cloud Digital Camera That Can Create Your Own Electricity', '&lt;p&gt;Demam retro ternyata bukan berlangsung sesaat. Aliran fotografi retro yang dihidupkan kembali oleh Fuji Instax dan kamera Lomo kini mendapatkan tambahan versi digital yang unik.&lt;br&gt;&lt;br&gt;Sun &amp;amp; Cloud dari Superheadz Japan ini tidak hanya hadir dalam bentuk unik yang mirip seperti kamera TLR (Twin-Lens Reflex), tapi juga memiliki fitur inovatif. Inilah kamera digital pertama di dunia yang bisa menciptakan daya listrik sendiri.&lt;br&gt;&lt;br&gt;Caranya ada dua. Yang pertama dengan mengumpulkan sinar matahari melalui panel surya. Sedangkan yang kedua memanfaatkan tenaga dari ayunan tangan Anda. Tentunya jika cuaca mendung atau Anda sedang malas, terdapat port USB untuk mengisi daya baterainya.&lt;br&gt;&lt;br&gt;Ada tiga mode pemotretan: normal (jarak 150 cm), portrait (jarak 60-150 cm) dan makro (jarak 25-35 cm). Kamera dengan sensor CMOS 3 MP ini juga bisa merekam video dalam mode 30 fps dan 8 fps atau yang dinamakannya Miriraiku 8, serta mode 1 fps. Hasil foto dapat disimpan di microSD/microSDHC card. Selain itu, terdapat 15 filter menarik untuk membuat hasil foto Sun &amp;amp; Cloud lebih menarik.&lt;br&gt;&lt;br&gt;Yang patut diperhatikan, Sun &amp;amp; Cloud tidak diciptakan untuk menyaingi kamera digital bermerek mapan. Kamera ini diciptakan bagi penggemar fotografi retro yang ingin tampil beda dan menginginkan hasil foto unik atau yang sudah bosan menggunakan kamera Lomo akibat harga film dan ongkos cuci cetak yang tidak murah.&lt;br&gt;&lt;br&gt;Superheadz Sun &amp;amp; Cloud dijual seharga US$199 atau sekitar Rp2 juta.&lt;br&gt;&lt;/p&gt;', '&lt;p&gt;Retro fever was not last a moment. Stream of retro photography revived by Fuji Instax camera Lomo and digital versions now get extra unique.&lt;br&gt;&lt;br&gt;Sun &amp;amp; Cloud of Superheadz Japan is not only present in a unique form that looks like a camera TLR (Twin-Lens Reflex), but also has an innovative feature. This is the first digital camera in the world that can create its own electrical power.&lt;br&gt;&lt;br&gt;How there are two. The first to collect sunlight through the solar panel. While the second swing harness from your hand. Obviously if the weather is cloudy or you&#039;re lazy, there is a USB port for charging the battery.&lt;br&gt;&lt;br&gt;There are three shooting modes: normal (distance 150 cm), portrait (range 60-150 cm) and macro (range 25-35 cm). Camera with 3 MP CMOS sensor is also able to record video in 30 fps mode and 8 fps or what he calls Miriraiku 8, and 1 fps mode. The images can be stored on microSD / microSDHC card. In addition, there are 15 exciting filters to make the images more appealing Sun &amp;amp; Cloud.&lt;br&gt;&lt;br&gt;A notable, Sun &amp;amp; Cloud was not created to compete with an established branded digital cameras. This camera was created for fans of retro photography who want to be different and want a unique photo results or who are tired of using a Lomo camera due to the price and the cost of washing the film print is not cheap.&lt;br&gt;&lt;br&gt;Superheadz Sun &amp;amp; Cloud sold for U.S. $ 199 or approximately Rp2 million.&lt;br&gt;&lt;/p&gt;', 'sun--cloud-kamera-digital-yang-bisa-menciptakan-listrik-sendiri', 'sun--cloud-digital-camera-that-can-create-your-own-electricity', 'kamera-digital,sun--cloud,gadget', '2013-06-03', '1', 'Y', 'sun--cloud-kamera-digital-yang-bisa-menciptakan-listrik-sendiri-435821-popoji.jpg', 10),
(12, '7', 'Bagaimana Menggunakan Media Sosial untuk Membangun Personal Brand', 'How to Use Social Media to Build Your Personal Brand', '&lt;p&gt;Media sosial adalah sebuah tools yang banyak sekali mengubah hidup manusia, banyak orang mendapatkan pekerjaan baru dari media sosial, pasangan hidup, bisnis baru, teman baru (baca juga : The beauty of social media, membangun weak ties dengan scalability tinggi). Di artikel ini Gabriel Montadaro memberikan strategi bagaimana menggunakan media sosial untuk membangun personal brand Anda. Gabriel Montadaro adalah eksekutif perusahaan yang berpengalaman di industri retail &amp; consumer Indonesia dan regional ASEAN. Saat ini ia menjabat sebagai vice president di PT.APL (Anugerah Pharmindo Lestari).&lt;br&gt;&lt;br&gt;Media sosial ada di mana-mana. karena Anda tidak mungkin bisa melarikan diri dari media sosial, lebih baik Anda me-leveragenya dengan baik untuk membangun personal brand Anda. Saat ini adalah saat di mana banyak perusahaan menggunakan media sosial tidak hanya untuk memfilter para pelamar kerja tetapi untuk berburu kandidat potensial.&lt;br&gt;&lt;br&gt;Karena itu, berhati-hatilah dengan kalimat yang Anda tuliskan di Twitter, pesan yang Anda post di Facebook atau video yang Anda upload di Youtube. Ã¢â‚¬Å“The internet never forgetsÃ¢â‚¬Â. Search engine meng-index dan meng-crawl setiap byte informasi yang ada di web. Ketika sepotong informasi masuk ke internet, akan ada beberapa echo dari informasi tersebut dan dijamin tersimpan ke suatu server di suatu tempat.&lt;br&gt;&lt;br&gt;Media sosial, baik itu Facebook, Linkedin atau Twitter secara default menjadi personal brand bagi Anda, hanya saja orang tidak melihatnya seperti itu. Ketika Anda mempost status di Facebook atau Twitter, Anda membuat Ã¢â‚¬Å“lifestreamingÃ¢â‚¬Â bagi diri Anda dan membawa dampak bagi personal brand Anda.&lt;br&gt;&lt;br&gt;Bagaimana Anda me-leverage media sosial untuk personal brand Anda di dunia digital ?&lt;br&gt;&lt;/p&gt;&lt;p&gt;Twitter baik untuk komunikasi sehari-hari, Linkedin untuk corporate networking, Slideshare untuk berbagi presentasi. Ketika Anda sudah memiliki berbagai channel media sosial, tantangan berikutnya adalah me-manage dan meng-optimasinya dengan efektif. Setiap channel media sosial memiliki fungsi berbeda, Anda bisa menggunakannya untuk berbagi pengetahuan, membangun kredibilitas dan influence. Follow-lah orang-orang yang benar di Twitter, Linkedin menyediakan tempat untuk Ã¢â‚¬Å“hang-outÃ¢â‚¬Â bersama orang-orang di industri yang sama, Flickr untuk berbagi foto dan instagram bisa untuk storytelling picture.&lt;/p&gt;&lt;p&gt;Ã¢â‚¬Å“Think like a publisherÃ¢â‚¬Â, bagaimana melakukan lifestreaming dan mendokumentasikan aktivitas Anda lewat berbagai channel media sosial yang berbeda. Ã¢â‚¬Å“Be remarkableÃ¢â‚¬ÂÃ‚  kreatif dan membuat perbedaan positif, kata Seth Godin, jadilah Ã¢â‚¬Å“purple cowÃ¢â‚¬Â di antara sapi hitam dan putih Ã¢â‚¬Â¦ different but genuine.&lt;br&gt;Ã¢â‚¬Å“Be yourselfÃ¢â‚¬ÂÃ‚  biarkan pesan sehari-hari Anda membangun kredibilitas Anda dan kepribadian Anda juga akan mengalami kemajuan.&lt;/p&gt;&lt;p&gt;Jangan terlalu kuatir tentang bahasa Anda atau bagaimana Anda menulis. Orang seperti Gary Vaynerchuk kurang bagus dalam menulis tetapi bisa bersinar lewat video blognya.&lt;/p&gt;&lt;p&gt;Personal dibagun dalam jangka panjang, itÃ¢â‚¬â„¢s a lifetime journey. Just relax and enjoy the ride.&lt;br&gt;&lt;/p&gt;', '&lt;p&gt;Social media is a tool that a lot of changing human life, many people get a new job of social media, spouse, new businesses, new friends (see also: The beauty of social media, build weak ties with high scalability). This article provides strategies Gabriel Montadaro how to use social media to build your personal brand. Montadaro Gabriel is an experienced corporate executive in the retail &amp; consumer industries of Indonesia and ASEAN regional. He currently serves as vice president at PT.APL (Pharmindo Anugerah Lestari).&lt;br&gt;&lt;br&gt;Social media exist everywhere. because you may not be able to escape from social media, you better leverage me well to build your personal brand. This is the moment in which many companies use social media not only to filter the applicants but for hunting potential candidates.&lt;br&gt;&lt;br&gt;Therefore, be careful with the words you write on Twitter, a message that you post on Facebook or a video that you upload on Youtube. &quot;The internet never Forgets&quot;. Search engines to index and crawl every byte of information that exist on the web. When a piece of information to the Web, there will be some echo of the information stored and secured to a server somewhere.&lt;br&gt;&lt;br&gt;Social media, be it Facebook, Linkedin or Twitter by default become a personal brand for you, it&#039;s just that people do not see it that way. When you post a status on Facebook or Twitter, you create a &quot;lifestreaming&quot; for yourself and make an impact on your personal brand.&lt;br&gt;&lt;br&gt;How to leverage your social media to your personal brand in the digital world?&lt;br&gt;&lt;br&gt;Twitter for daily communication, for corporate networking Linkedin, Slideshare for sharing presentations. When you already have a variety of social media channels, the next challenge is to manage and clicking-optimization effectively. Each social media channel has a different function, you can use it to share knowledge, build credibility and influence. Follow-lah right people on Twitter, Linkedin provides a place to &quot;hang-out&quot; with people in the same industry, and Flickr to share photos on instagram can picture storytelling.&lt;br&gt;&lt;br&gt;&quot;Think like a publisher&quot;, how do lifestreaming and documenting your activities through a variety of different social media channels. &quot;Be remarkable&quot; creative and make a positive difference, says Seth Godin, be a &quot;purple cow&quot; in between the black and white cow ... different but genuine.&lt;br&gt;&quot;Be yourself&quot; leave messages everyday you build your credibility and your personality will also progress.&lt;br&gt;&lt;br&gt;Do not worry so much about the language you are or how you write. People like Gary Vaynerchuk less good in writing but can shine through video blogs.&lt;br&gt;&lt;br&gt;Personal dibagun in the long run, it&#039;s a lifetime journey. Just relax and enjoy the ride.&lt;br&gt;&lt;/p&gt;', 'bagaimana-menggunakan-media-sosial-untuk-membangun-personal-brand', 'how-to-use-social-media-to-build-your-personal-brand', 'personal-brand,media-sosial,internet,teknologi', '2013-06-03', '1', 'Y', 'bagaimana-cara-menggunakan-media-sosial-untuk-membangun-personal-brand-anda-365661-popoji.jpg', 10),
(13, '6', 'Ahmad Dhani Jodohkan El Dengan Deanda Putri', 'Ahmad Dhani Match the El With Daughter Deanda', '&lt;p&gt;Di ulang tahunnya yang ke-14, El Jalaludin Rumi atau El mengaku sudah diberi kebebasan oleh sang ayah, Ahmad Dhani. Kebebasan yang diberikan, salah satunya urusan pacaran.&lt;br&gt;&lt;br&gt;&quot;Kalau kebebasan pacaran, mungkin. Dul saja sudah punya pacar yang masih muda. Nah, El ini lagi jomblo kasian makanya saya harus kasih perhatian lebih,&quot; ujar Ahmad Dhani di Planet Hollywood, Jakarta, Kamis (30/5).&lt;br&gt;&lt;br&gt;Melihat El yang masih belum punya pacar, Dhani pun berinisiatif memperkenalkan seorang gadis yang memang sengaja diajak untuk dijodohkan. Bagi Dhani, gadis bernama Deanda Putri itu merupakan persembahan untuk anak tercintanya.&lt;br&gt;&lt;br&gt;&quot;Ini persembahan saya buat dia, El, namanya Deanda. Dia-nya (El) sudah kenal kebetulan. Dia-nya (El) sudah jomblo gitu kan, kasian kan kalau lagi jomblo, daripada diem aja di kamar,&quot; kata Dhani berkelakar.&lt;br&gt;&lt;br&gt;Menurut El, Deanda bukan perempuan pertama yang dikenalkan oleh Dhani. Dia pun mengaku senang dengan inisiatif sang ayah selalu mencarikan pacar. &quot;Ya senang lah,&quot; ujarnya.&lt;br&gt;&lt;/p&gt;', '&lt;p&gt;In the birthday-14, El Jalaluddin Rumi or El admitted that he had given the freedom by his father, Ahmad Dhani. Freedom is given, one of them dating affairs.&lt;br&gt;&lt;br&gt;&quot;If the freedom of going out, maybe. Dul have already had a boyfriend who was still young. Nah, this El singles kasian again so I need to give more attention,&quot; said Ahmad Dhani in Planet Hollywood, Jakarta, Thursday (30/5).&lt;br&gt;&lt;br&gt;Seeing El who still do not have a boyfriend, Dhani took the initiative to introduce a girl who is accidentally invited to an arranged marriage. For Dhani, a girl named Deanda daughter was a tribute to his beloved son.&lt;br&gt;&lt;br&gt;&quot;This is my tribute for him, El, his name Deanda. Their He (El) has been known coincidence. Their He (El) are singles so it, too sad if more singles, rather than diem aja in the room,&quot; Dhani said jokingly.&lt;br&gt;&lt;br&gt;According to El, Deanda not the first woman to be introduced by Dhani. He also said he was happy with the initiative father always find a boyfriend. &quot;Yes love is,&quot; he said.&lt;br&gt;&lt;/p&gt;', 'ahmad-dhani-jodohkan-el-dengan-deanda-putri', 'ahmad-dhani-match-the-el-with-daughter-deanda', 'deanda-putri,el,ahmad-dani,entertainment', '2013-06-03', '1', 'Y', 'ahmad-dhani-jodohkan-el-dengan-deanda-putri-408813-popoji.jpeg', 18),
(14, '3', 'APBI Prediksi Harga Batu Bara Belum Stabil', 'APBI Prediction of Coal Price Not Stable', '&lt;p&gt;Asosiasi Pertambangan Batubara Indonesia (APBI) memprediksi harga jual batu bara pada semester II/2013 belum stabil karena persediaan di pasar internasional masih melimpah.&lt;br&gt;&lt;br&gt;&quot;Memang dalam berbisnis itu ada pasang-surut dan itu hal wajar, namun kami tetap optimistis untuk bisa mengangkat nilai jual batu bara Indonesia,&quot; kata Ketua APBI Bok Kamandanu di Nusa Dua, Bali, Senin.&lt;br&gt;&lt;br&gt;Ia menyebutkan bahwa harga batu bara acuan (HBA) yang diterbitkan Ditjen Mineral dan Batubara Kementerian ESDM pada Maret 2013 sebesar 90,09 dolar AS per ton, sedangkan harga jual patokan batu bara versi pemerintah Indonesia itu naik sekitar 2 persen dari HBA yang ditetapkan per Februari lalu, yaitu 88,35 dolar AS per ton.&lt;br&gt;&lt;br&gt;Beberapa permasalahan yang mengakibatkan harga jual batu bara anjlok adalah banyak pemain lama yang saat ini menggenjot produksinya untuk meningkatkan nilai ekspor.&lt;br&gt;&lt;br&gt;Selain itu, Amerika Serikat dan China yang sebelumnya tidak bermain batu bara, kini memanfaatkan batu bara dalam negeri untuk memenuhi kebutuhan nasionalnya.&lt;br&gt;&lt;br&gt;Sedangkan China yang selama ini mengimpor batu bara terbesar dari Indonesia, saat ini mengurangi impornya dan cenderung memanfaatkan produksi dalam negerinya.&lt;br&gt;&lt;br&gt;&quot;Dengan demikan kami akan berusaha melakukan lobi bersama pemerintah untuk mencari pangsa pasar baru selain negera-negara yang selama ini menjadi pemakai batu bara loreng dari Indonesia,&quot; katanya.&lt;br&gt;&lt;br&gt;Sementara itu, sebelumnya Menteri ESDM Jero Wacik akan merundingkan batu bara se-Asia (Coaltrans Asia) agar tidak merugikan para pengusaha lainnya yang juga berkaitan dengan kesejahteraan masyarakat.&lt;br&gt;&lt;br&gt;Untuk mengatasi hal tersebut, dirinya juga sudah merencanakan pembangunan pembangkit listrik tenaga uap (PLTU) batu bara berkapasitas 2.000 megawatt untuk bisa memenuhi permintaan listrik di beberapa daerah.&lt;br&gt;&lt;br&gt;&quot;Kita kan memiliki batu bara yang banyak, jadi produksinya tidak bergantung pada permintaan dari luar negeri hanya untuk memenuhi permintaan dalam negeri,&quot; kata Jero.(rr)&lt;br&gt;&lt;/p&gt;', '&lt;p&gt;Indonesian Coal Mining Association (APBI) predict the selling price of coal in the first half II/2013 unstable because of inventory in the international market is still abundant.&lt;br&gt;&lt;br&gt;&quot;Indeed, in business there are ups and downs and it&#039;s a natural thing, but we remain optimistic to be able to lift the value of Indonesian coal,&quot; said Chairman of ICMA Bok Kamandanu in Nusa Dua, Bali, on Monday.&lt;br&gt;&lt;br&gt;He said that the coal price reference (HBA) issued Directorate of Mineral and Coal, Ministry of Energy and Mineral Resources in March 2013 amounted to 90.09 U.S. dollars per ton, while the price of coal benchmark Indonesian government version was up about 2 percent of the HBA specified by February ago, which is 88.35 U.S. dollars per ton.&lt;br&gt;&lt;br&gt;Some of the problems that resulted in the selling price of coal dropped many old players who are currently ramped up to increase the value of exports.&lt;br&gt;&lt;br&gt;In addition, the United States and China that previously did not play as coal, are now utilizing domestic coal to meet its domestic needs.&lt;br&gt;&lt;br&gt;While China has been the largest coal import from Indonesia, the current tends to reduce imports and domestic production exploit.&lt;br&gt;&lt;br&gt;&quot;With that case we will try to lobby with the government to seek new markets than for countries that have become users of camouflage coal from Indonesia,&quot; he said.&lt;br&gt;&lt;br&gt;Meanwhile, the previous Minister Jero Wacik will negotiate coal in Asia (Coaltrans Asia) in order not to harm the other entrepreneurs that are also associated with the welfare of society.&lt;br&gt;&lt;br&gt;To overcome this, he also has plans to build a thermal power plant (CPP) capacity of 2,000 megawatt coal to meet electricity demand in some areas.&lt;br&gt;&lt;br&gt;&quot;We do have a lot of coal, so the production does not depend on the demand from overseas just to meet domestic demand,&quot; said Jero. (Rr)&lt;br&gt;&lt;/p&gt;', 'apbi-prediksi-harga-batu-bara-belum-stabil', 'apbi-prediction-of-coal-price-not-stable', 'batu-bara,apbi,business,bisnis', '2013-06-03', '1', 'Y', 'apbi-prediksi-harga-batu-bara-belum-stabil-223236-popoji.jpg', 33),
(15, '9', 'Robinho Bungkam Soal Rumor Santos', 'Robinho Santos Mute Problem Rumors', '&lt;p&gt;Striker AC Milan Robinho memilih bungkam perihal kabar ketertarikan Santos terhadapnya.&lt;br&gt;&lt;br&gt;Di awal pekan ini, presiden Peixe Odilio Rodrigues mengonfirmasi bila kedua belah pihak tengah mengadakan pembicaraan untuk memboyong pulang pria berusia 29 tahun tersebut.&lt;br&gt;&lt;br&gt;Robinho, yang menghabiskan tiga tahun bersama raksasa asal Brasil sebelum merapat ke Real Madrid pada 2005, mengungkapkan bahwa tidak ada tawaran yang telah dilayangkan.&lt;br&gt;&lt;br&gt;Ã¢â‚¬Å“Saya sangat senang untuk bertahan di Milan, dan saya masih punya satu tahun lebih di kontrak saya,Ã¢â‚¬Â kata Robinho kepada wartawan.&lt;br&gt;&lt;br&gt;Ã¢â‚¬Å“Akankah saya kembali ke Santos? Untuk saat ini pertanyaan tersebut tidak bisa saya jawab, namun sudah jelas bahwa Santos adalah klub masa kecil saya dan saya punya banyak kenangan bagus di sana.&lt;br&gt;&lt;br&gt;Ã¢â‚¬Å“Akan tetapi, mereka [Santos] belum membuat penawaran resmi, dan Milan telah menunjukkan tanda-tanda ingin menjual saya.Ã¢â‚¬Â &lt;br&gt;&lt;/p&gt;', '&lt;p&gt;AC Milan striker Robinho chose to keep mum about the news of interest against Santos.&lt;br&gt;&lt;br&gt;At the beginning of this week, the president Peixe Odilio Rodrigues confirmed when both parties are in talks to bring back the 29-year-old man.&lt;br&gt;&lt;br&gt;Robinho, who spent three years with the Brazilian giants before it docked to Real Madrid in 2005, revealed that no bids have been posted.&lt;br&gt;&lt;br&gt;&quot;I am very happy to stay at Milan, and I still have one more year on my contract,&quot; Robinho told reporters.&lt;br&gt;&lt;br&gt;&quot;Will I go back to Santos? For now the question I can not answer, but it was clear that Santos is the club of my childhood and I have a lot of good memories there.&lt;br&gt;&lt;br&gt;&quot;However, they [Santos] has not made Ã¢â‚¬â€¹Ã¢â‚¬â€¹a formal offer, and Milan has shown signs of wanting to sell me.&quot;&lt;br&gt;&lt;/p&gt;', 'robinho-bungkam-soal-rumor-santos', 'robinho-santos-mute-problem-rumors', 'ac-milan,santos,robinho,olahraga,sport', '2013-06-03', '1', 'Y', 'robinho-bungkam-soal-rumor-santos-765106-popoji.jpg', 30),
(16, '7', 'Zeus Malware Pencuri Akun Bank Lewat Facebook', 'Zeus Malware Thieves Bank Accounts Through Facebook', '&lt;p&gt;Orang mulai lupa tentang bahaya malware yang mengancam jejaring sosial. Kini muncul lagi malware bernama &lt;b&gt;Zeus pada Facebook&lt;/b&gt;.&lt;br&gt;&lt;br&gt;Zeus, yang merupakan program malware global, menyerang komputer melalui email dan tetap tersembunyi sampai Anda masuk ke situs bank. Dari sana, menurut laporan, malware itu akan mencuri password Anda dan menyerang akun Anda. Terkadang Zeus juga melangkah lebih jauh dengan meminta pengguna untuk memberi hal detail seperti nomor keamanan, digit kartu kredit atau informasi sensitif lainnya sebelum Anda memasuki akun bank.&lt;br&gt;&lt;br&gt;Zeus bukanlah program malware baru sebab sudah ada sejak 2007. Serangan Zeus muncul lagi pada Februari 2013 dan sejak itu serangannya terus meningkat.&lt;br&gt;&lt;br&gt;Perusahaan keamanan, Trend Micro memprediksi bahwa 2013 akan menjadi masa kembalinya kejahatan dunia maya. Menurut laporan dari situs New York Times, peningkatan pada tautan berbahaya datang dari fan page NFL yang populer di Facebook.&lt;br&gt;&lt;br&gt;Jika Anda tidak sengaja meng-klik tautan yang memasang malware, informasi yang dicuri dilaporkan ke gang kriminal Rusia. New York Times melaporkan bahwa organisasi kejahatan dunia maya, Russian Business Network, telah ditautkan ke sejumlah aktifitas kriminal online. Mulai dari malware, pencurian identitas hingga pornografi. Russian Business Network memonopoli pencurian identitas pribadi untuk dijual kembali.&lt;br&gt;&lt;br&gt;Untuk mendapatkan tips mencegah ancaman malware ini, Anda bisa mengunjungi halaman keamanan Facebook.&lt;br&gt;&lt;/p&gt;', '&lt;p&gt;People began to forget about the dangers of malware that threaten social networking. Now appears named&lt;b&gt; Zeus malware on Facebook&lt;/b&gt;.&lt;br&gt;&lt;br&gt;Zeus, which is a malware program globally, to attack computers via email and stay hidden until you go to the bank website. From there, according to the report, the malware will steal your passwords and attacking your account. Zeus is sometimes also go a step further by asking the user to provide the details like security numbers, credit card digits or other sensitive information before you enter the bank account.&lt;br&gt;&lt;br&gt;Zeus malware is not new because the program has existed since 2007. Zeus attacks appeared again in February 2013 and since then attacks continued to increase.&lt;br&gt;&lt;br&gt;Security firm, Trend Micro predicts that 2013 will be the return of cybercrime. According to a report from the New York Times website, increase the malicious link comes from the popular NFL fan page on Facebook.&lt;br&gt;&lt;br&gt;If you accidentally click on a link to install malware, stolen information reported to the Russian criminal gangs. New York Times reports that cybercrime organizations, Russian Business Network, has been linked to a number of criminal activities online. Ranging from malware, identity theft to pornography. Russian Business Network monopolizing personal identity theft for resale.&lt;br&gt;&lt;/p&gt;', 'zeus-malware-pencuri-akun-bank-lewat-facebook', 'zeus-malware-thieves-bank-accounts-through-facebook', 'facebook-hack,zeus-malware,malware,internet,teknologi', '2013-06-07', '1', 'Y', 'zeus-malware-pencuri-akun-bank-lewat-facebook-724517-popoji.jpg', 59),
(17, '1', 'CMS Gratis Indonesia', 'Free CMS Indonesia', '&lt;p align=&quot;justify&quot;&gt;&lt;b&gt;CMS Gratis Indonesia&lt;/b&gt; - Di Indonesia sendiri perkembangan pengguna CMS sangat pesat. Itu bisa dilihat dari banyaknya website-website berbasis CMS yang dimiliki orang Indonesia bertebaran di Internet. Kalau diamati CMS yang mereka pakai ada yang buatan luar dan ada juga yang buatan anak negeri sendiri. CMS buatan anak negeri tidak bisa kita pandang sebelah mata karna fitur-fiturnya yang sudah cukup lengkap dan sistem keamanan yang mumpuni. Maka tidak heran kalau banyak developer web dari Indonesia beralih ke CMS buatan anak negeri. Alasan pertamanya adalah karena CMS-nya mudah dimengerti dan di-custom oleh pemula sekalipun.&lt;/p&gt;&lt;p style=&quot;text-align: justify;&quot;&gt;Pengertian dari sistem manajemen konten (Inggris: content management System, disingkat CMS), adalah perangkat lunak yang memungkinkan seseorang untuk menambahkan dan/atau memanipulasi (mengubah) isi dari suatu situs Web. Umumnya, sebuah CMS (Content Management System) terdiri dari dua elemen:&lt;/p&gt;&lt;ol&gt;&lt;li&gt;&lt;p&gt;aplikasi manajemen isi (Content Management Application, [CMA])&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;aplikasi pengiriman isi (content delivery application [CDA]).&lt;/p&gt;&lt;/li&gt;&lt;/ol&gt;&lt;p style=&quot;text-align: justify;&quot;&gt;Elemen CMA memungkinkan pengelola konten (yang mungkin tidak memiliki pengetahuan mengenai HTML), untuk mengelola pembuatan, pengubahan, dan penghapusan isi dari suatu situs web tanpa perlu memiliki keahlian sebagai seorang webmaster. Elemen CDA menggunakan dan menghimpun informasi-informasi yang sebelumnya telah ditambah, dikurangi atau diubah oleh pemilik situs web untuk memperbaharui situs web tersebut. Kemampuan atau fitur dari sebuah sistem CMS berbeda-beda. Walaupun begitu, kebanyakan dari perangkat lunak ini memiliki fitur publikasi berbasis Web, manajemen format, kontrol revisi, pembuatan indeks, pencarian, dan pengarsipan.&lt;/p&gt;&lt;p style=&quot;text-align: justify;&quot;&gt;PopojiCMS hadir sebagai &lt;b&gt;CMS gratis Indonesia&lt;/b&gt;, dilengkapi fitur-fitur yang lengkap dan sistem keamanan yang mumpuni. Popoji CMS didesain agar mudah dipahami oleh pemula sekalipun, karena hanya menggunakan setengah OOP PHP saja. Dimana OOP itu sendiri merupakan momok yang paling menakutkan dari web developer pemula. Dari segi tampilan, PopojiCMS dibangun pada dasar bootstrap sehingga tidak diragukan lagi ke-responsive-annya. Tidak hanya itu juga, dengan sentuhan jQuery, PopojiCMS menjadi sangat interaktif dalam menajemen CRUD dan interface-nya. Semoga dengan adanya PopojiCMS, Anda yang ingin membuat website dengan mudah dapat terbantukan. Jangan pandang remeh &lt;b&gt;CMS gratis Indonesia&lt;/b&gt;.&lt;/p&gt;&lt;p&gt;\r\n&lt;/p&gt;', '&lt;p style=&quot;text-align: justify;&quot;&gt;&lt;b&gt;Free CMS Indonesia&lt;/b&gt; - In Indonesia, the rapid development of CMS users. It can be seen from the number of CMS-based websites owned Indonesian people scattered around the Internet. If CMS observed that they use no artificial outside and some are made by children of their own country. Domestically-made CMS can not be underestimated because we view its features that are quite complete and qualified security system. It is no wonder that many web developers from Indonesia switching to domestically-made CMS. His first reason is because the CMS is easy to understand and in-custom by beginners though.&lt;br&gt;&lt;/p&gt;&lt;p style=&quot;text-align: justify;&quot;&gt;Understanding of content management systems (English: content management system, abbreviated CMS), is software that allows one to add and / or manipulate (change) the contents of a Web site. Generally, a CMS (Content Management System) consists of two elements:&lt;/p&gt;&lt;ol&gt;&lt;li&gt;&lt;p&gt;the content management application (Content Management Application, [CMA])&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;the content delivery application (content delivery application [CDA]).&lt;/p&gt;&lt;/li&gt;&lt;/ol&gt;&lt;p style=&quot;text-align: justify;&quot;&gt;The CMA element allows the content manager (who may not have knowledge of HTML), to manage the creation, modification, and removal of content from a website without the need to have expertise as a webmaster. The CDA element uses and collects information that previously had been added, subtracted or altered by the website owner to update the web site. Capabilities or features of a CMS system vary. Even so, most of the software features a Web-based publishing, format management, revision control, manufacturing index, search, and archiving.&lt;br&gt;&lt;/p&gt;&lt;p style=&quot;text-align: justify;&quot;&gt;PopojiCMS present as &lt;b&gt;free CMS Indonesia&lt;/b&gt;, includes a feature complete and qualified security system. Popoji CMS is designed to be easily understood by beginners though, because only half OOP PHP use only. Where OOP itself is the most frightening specter of a novice web developer. In terms of appearance, built on the basis of bootstrap PopojiCMS so no doubt-responsive to her. Not only that, too, with a touch of jQuery, PopojiCMS be very interactive in CRUD management and its interface. Hopefully with PopojiCMS, you want to create a website that can easily be aided. Do not look paltry &lt;b&gt;free CMS Indonesia&lt;/b&gt;.&lt;/p&gt;&lt;p&gt;&lt;/p&gt;', 'cms-gratis-indonesia', 'free-cms-indonesia', 'cms-gratis-indonesia,cms-indonesia,popojicms', '2013-07-08', '1', 'Y', 'popojicms-630462-popoji.jpg', 1);

-- --------------------------------------------------------

--
-- Table structure for table `setting`
--

CREATE TABLE IF NOT EXISTS `setting` (
  `id_setting` int(5) NOT NULL AUTO_INCREMENT,
  `website_name` varchar(100) CHARACTER SET latin1 NOT NULL,
  `website_url` varchar(100) CHARACTER SET latin1 NOT NULL,
  `website_email` varchar(100) COLLATE latin1_general_ci NOT NULL,
  `meta_description` varchar(250) CHARACTER SET latin1 NOT NULL,
  `meta_keyword` varchar(250) CHARACTER SET latin1 NOT NULL,
  `favicon` varchar(50) CHARACTER SET latin1 NOT NULL,
  `timezone` varchar(50) COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`id_setting`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `subscribe`
--

CREATE TABLE IF NOT EXISTS `subscribe` (
  `id_subscribe` int(10) NOT NULL AUTO_INCREMENT,
  `email` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`id_subscribe`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `tag`
--

CREATE TABLE IF NOT EXISTS `tag` (
  `id_tag` int(5) NOT NULL AUTO_INCREMENT,
  `tag_title` varchar(100) COLLATE latin1_general_ci NOT NULL,
  `tag_seo` varchar(100) COLLATE latin1_general_ci NOT NULL,
  `count` int(5) NOT NULL,
  PRIMARY KEY (`id_tag`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=56 ;

--
-- Dumping data for table `tag`
--

INSERT INTO `tag` (`id_tag`, `tag_title`, `tag_seo`, `count`) VALUES
(1, 'PopojiCMS', 'popojicms', 3),
(2, 'Popoji', 'popoji', 2),
(3, 'CMS', 'cms', 2),
(4, 'Dwira Survivor', 'dwira-survivor', 2),
(5, 'CMS Indonesia', 'cms-indonesia', 3),
(6, 'Bisnis', 'bisnis', 4),
(7, 'Pelabuhan Indonesia', 'pelabuhan-indonesia', 2),
(8, 'Kontan', 'kontan', 2),
(9, 'Orang Kaya', 'orang-kaya', 2),
(10, 'Teknologi', 'teknologi', 5),
(11, 'Internet', 'internet', 4),
(12, 'Internet Indonesia', 'internet-indonesia', 2),
(13, 'Kamera Smartphone', 'kamera-smartphone', 2),
(14, 'Kamera SLR', 'kamera-slr', 2),
(15, 'Gadget', 'gadget', 3),
(16, 'Business', 'business', 2),
(17, 'Edukasi', 'edukasi', 3),
(18, 'Pelajar Indonesia', 'pelajar-indonesia', 2),
(19, 'Penghargaan Putri Diana', 'penghargaan-putri-diana', 2),
(20, 'Putri Diana', 'putri-diana', 2),
(21, 'Masyarakat Indonesia', 'masyarakat-indonesia', 2),
(22, 'Berpikir Rasional', 'berpikir-rasional', 2),
(23, 'Film', 'film', 2),
(24, 'Fast  Furious 6', 'fast--furious-6', 2),
(25, 'Box Office', 'box-office', 2),
(26, 'Entertainment', 'entertainment', 3),
(27, 'Sport', 'sport', 4),
(28, 'Moto GP', 'moto-gp', 2),
(29, 'Lorenzo', 'lorenzo', 2),
(30, 'Mugello', 'mugello', 0),
(31, 'Olahraga', 'olahraga', 4),
(32, 'Sepak Bola', 'sepak-bola', 2),
(33, 'Jose Mourinho', 'jose-mourinho', 2),
(34, 'Real Madrid', 'real-madrid', 2),
(35, 'Sun  Cloud', 'sun--cloud', 2),
(36, 'Kamera Digital', 'kamera-digital', 2),
(37, 'Media Sosial', 'media-sosial', 2),
(38, 'Personal Brand', 'personal-brand', 2),
(39, 'Ahmad Dani', 'ahmad-dani', 2),
(40, 'El', 'el', 2),
(41, 'Deanda Putri', 'deanda-putri', 2),
(42, 'APBI', 'apbi', 2),
(43, 'Batu Bara', 'batu-bara', 2),
(44, 'Robinho', 'robinho', 2),
(45, 'Santos', 'santos', 2),
(46, 'AC Milan', 'ac-milan', 2),
(47, 'Malware', 'malware', 2),
(48, 'Zeus Malware', 'zeus-malware', 2),
(49, 'Facebook Hack', 'facebook-hack', 2),
(50, 'CMS Gratis Indonesia', 'cms-gratis-indonesia', 2);

-- --------------------------------------------------------

--
-- Table structure for table `theme`
--

CREATE TABLE IF NOT EXISTS `theme` (
  `id_theme` int(10) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `author` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `folder` varchar(100) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `active` enum('Y','N') CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL DEFAULT 'N',
  PRIMARY KEY (`id_theme`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `theme`
--

INSERT INTO `theme` (`id_theme`, `title`, `author`, `folder`, `active`) VALUES
(1, 'Chingsy Theme', 'Dwira Survivor', 'chingsy', 'Y');

-- --------------------------------------------------------

--
-- Table structure for table `traffic`
--

CREATE TABLE IF NOT EXISTS `traffic` (
  `ip` varchar(20) NOT NULL DEFAULT '',
  `tanggal` date NOT NULL,
  `hits` int(10) NOT NULL DEFAULT '1',
  `online` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id_user` int(10) NOT NULL,
  `username` varchar(50) COLLATE latin1_general_ci NOT NULL,
  `password` varchar(50) COLLATE latin1_general_ci NOT NULL,
  `nama_lengkap` varchar(100) COLLATE latin1_general_ci NOT NULL,
  `email` varchar(100) COLLATE latin1_general_ci NOT NULL,
  `no_telp` varchar(20) COLLATE latin1_general_ci NOT NULL,
  `bio` text COLLATE latin1_general_ci NOT NULL,
  `userpicture` varchar(100) COLLATE latin1_general_ci NOT NULL,
  `level` varchar(20) COLLATE latin1_general_ci NOT NULL DEFAULT 'user',
  `blokir` enum('Y','N') COLLATE latin1_general_ci NOT NULL DEFAULT 'N',
  `id_session` varchar(100) COLLATE latin1_general_ci NOT NULL,
  `tgl_daftar` date NOT NULL,
  `forget_key` varchar(100) COLLATE latin1_general_ci DEFAULT NULL,
  PRIMARY KEY (`username`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
